Copyright: Tune It! ocx (Copyright© 1997-98, Majid Salimi)


Contents
 Tune It! OLE control

Properties                Methods                Events                 What's New                About...

‘Tune It!‘ is a desktop tuning and system information monitoring OCX. This 32-bit OLE Control is designed for Windows 95/98.

Remarks

The purpose of ‘Tune It!‘ is :

1.	To control and change the desktop settings. ( wallpaper, screen saver, icons, cursor, mouse trails, menus, fonts, taskbar, dimensions of window elements, ... ).

2.	To detect the hardware specifications. ( Processor type, RAM size, BIOS version, display adapter, printer, keyboard and  mouse type, available drives, network adapter, sound device, SCSI adapter, ... ).

3.	To access to the Operating system specifications. ( Windows version, file system, MS Plus, Pen Windows, Unicode support, Windows startup time, ... ).

4.	To monitor the system resources. ( Free physical memory, virtual memory, processor utilization,  swap file usage, amount of allocated memory, virtual machines, threads, ... ).

5.	To monitor certain system events. ( Power status change, Time change, display change, Windows new user, system colors change, ... ).

6.	To send certain powerful commands to the system. ( Shut down, Reboot, Run a program or view a document at startup, Log off, Show screen saver, ... ).

7.	Several other system properties are also available. ( Time zone, GMT time, AC power and battery status, and ... ).

And much more ...

All of the above are available as easy as a VBA assignment statement. ‘Tune It!‘, now includes more than 150 system properties.


By name

By category


Tune It! OLE Control

Version 2.5, Shareware edition

Copyright© 1998, Majid Salimi

Email : majids@geocities.com

Web  :  http://www.angelfire.com/me/majids/TuneItHome.html

This program is protected by

copyright© law. If you want to

use it for more than 21 days,

please register your copy. Or you

should Uninstall it. Thank you.

Registration...


Registration

You could register through the Web or regular mail.

Online :

Using your Web browser register yourself securely at following address :

( by Visa/MasterCard/AmEx/Discover or Fax/Voice )

http://www.angelfire.com/me/majids/RegisterTuneIt.html

Or regular mail :

Please send 20$ ( check or cash ) plus your details to :

Mohammad Salimi

4047 Isola Court

Fremont, CA 94555

USA


What's new

Version 2.5:

+ A set of new properties has been added to provide more information about the Windows and network.

Network related information :

Workgroup

WorkgroupComputerName

WorkgroupComputerDescription

NetworkAdapter

More about adapter cards :

SCSIAdapter

You asked for it! Microsoft PLUS! :

PlusInstalled

PlusVersion

+ Methods are now more complete with these new items :

RunControlPanel

Run every control panel item.

Suspend

Force the system to go to the suspend mode.

RestartInDosMode

Restart the computer in MS-DOS mode.

Version 2.0:

+ New properties added to provide more information about the processor and Internet.

Internet applications :

WebBrowser

FtpClient

MailClient

TelnetClient

More information about system’s processor :

NumberOfProcessors

ProcessorRevision

+ Three sample applications were provided to help you using the Control capabilities.

Windows Information (WinInfo) :

A system information application ( All the information ! ).

Fast Shut Down (FastDown) :

Easily and quickly shut down, Reboot or Log off with a simple Hotkey press.

Fast Screen Saver Activator (FastScreen) :

Activate the system's screen saver within any program, just a keystroke required.

+ Online registration simplified the registration process.

+ The control's home page and author's contact information got available through all documents, help, samples and control's About box.


Methods
ActiveScreenSaver

AutoRun

AutoRunOnce

EmptyDocumentList

LogOff

PowerOff

Reboot

RestartInDosMode

RunControlPanel

ShutDown

Suspend


Events
DisplayChanged

InputLanguageChanged

PaletteChanged

PowerBatteryLow

PowerQuerySuspend

PowerResume

PowerStatusChanged

PowerSuspend

SysColorsChanged

TimeChanged

UserChanged


ActiveScreenSaver  Method

See Also                            Example

Executes the screen saver application ( Specified in the registry or the [boot] section of the SYSTEM.INI file ).

Syntax

object.ActiveScreenSaver


AutoRun  Method

See Also                                      Example

Makes a program executed every time the Windows started.

Syntax

object.AutoRun  Program, CustomName

Return value type

Boolean

Settings

The AutoRun method syntax has these parts:

Setting	Description

Object	An object expression that evaluates to a TuneIt control.

Program	An executable program name or a known type document.

CustomName	A custom name ( any string ) to identify the command in registry.

Remarks

If the method successes returns True, if the Program is not executable or viewable document, it returns False.

Tip

To cancel running the mentioned Program at startup, you must remove it from the registry database using the registry editor application ( REGEDIT.EXE ).

Or you could use the method with the same CustomName parameter and an empty string ("")  as the Program parameter.


AutoRunOnce  Method

See Also                                 Example

Makes a program executed next time the Windows started.

Syntax

object.AutoRunOnce Program, CustomName

Return value type

Boolean

Settings

The AutoRunOnce method syntax has these parts:

Setting	Description

Object	An object expression that evaluates to a TuneIt control.

Program	An executable program name or a known type document.

CustomName	A custom name ( any string ) to identify the command in registry.

Remarks

If the method successes returns True, if the Program is not an executable file or a viewable document, it returns False.

Note : The Program will run just one time.


EmptyDocumentList  Method

See Also                                   Example

Removes the list of documents from the Documents menu.

Syntax

object.EmptyDocumentList


LogOff  Method

See Also                                       Example

Closes all programs and disconnects the computer from the network, and prepares the computer to be used by someone else.

Syntax

object.LogOff

Return value type

Boolean

Remarks

If the method successes returns True, else it returns False.

Tip

Before calling this method, save any unsaved data to disk and close all your files.


PowerOff  Method

See Also                                     Example

Shuts down the system and turns off the power.

Syntax

object.PowerOff

Return value type

Boolean

Remarks

The system must support the power-off feature.  On success, the method returns True, else it returns False.

Tip

Before calling this method, save any unsaved data to disk and close all your files.


Reboot  Method

See Also                                      Example

Shuts down the system and then restarts it.

Syntax

object.Reboot

Return value type

Boolean

Remarks

On success, the method returns True, else it returns False.

Tip

Before calling this method, save any unsaved data to disk and close all your files.


ShutDown  Method

See Also                                    Example

Shuts down the system to a point at which it is safe to turn off the power.

Syntax

object.ShutDown

Return value type

Boolean

Remarks

Before shut down, all file buffers have been flushed to disk, and all running processes have stopped.   On success, the method returns True, else it returns False.

Tip

Before calling this method, save any unsaved data to disk and close all your files.


RunControlPanel  Method

See Also                                    Example

Runs one of the Control Panel applets.

Syntax

object.RunControlPanel   AppletCode

Return value type

Boolean

Settings

The RunControlPanel method syntax has these parts:

Setting	Description

Object	An object expression that evaluates to a TuneIt control.

AppletCode	A constant value indicating the Control Panel applet to run.

Remarks

AppletCode value should be between 0 and 45 .

Tip

To run the Control Panel itself, set the AppletCode parameter to 0.


Control Panel Codes

Example

CONTROL_PANEL	Displays the Control Panel.
APPLET_PRINTERS	Displays the Printers Folder (including Add Printer).
APPLET_FONTS	Displays the Fonts Folder in Explorer view.
APPLET_JOYSTICK	Displays the Joystick property page.
APPLET_PASSWORD	Displays the Passwords properties, Change passwords tab.
APPLET_ACCESSIBILITY_GENERAL	Displays the Accessibility General properties.
APPLET_ACCESSIBILITY_KEYBOARD	Displays the Accessibility Keyboard properties.
APPLET_ACCESSIBILITY_SOUND	Displays the Accessibility Sound properties.
APPLET_ACCESSIBILITY_DISPLAY	Displays the Accessibility Display properties.
APPLET_ACCESSIBILITY_MOUSE	Displays the Accessibility Mouse properties.
APPLET_ADD_HARDWARE	Runs the Add New Hardware wizard.
APPLET_ADD_MODEM	Runs the Add New Modem wizard.
APPLET_ADD_PRINTER	Runs the Add New Printer wizard.
APPLET_ADD_PROGRAM_INSTALL	Displays Add/Remove Programs Property Page (the Install/Uninstall tab selected).
APPLET_ADD_PROGRAM_SETUP	Displays Add/Remove Programs Property Page (the Windows Setup tab selected).
APPLET_ADD_PROGRAM_STARTUPDISK	Displays Add/Remove Programs Property Page (the Startup Disk tab selected).
APPLET_DISPLAY_BACK	Displays Standard Windows Display Property Page (the Background tab selected).
APPLET_DISPLAY_SCREENSAVER	Displays Standard Windows Display Property Page (the Screen Saver tab selected).
APPLET_DISPLAY_APPEARANCE	Displays Standard Windows Display Property Page (the Appearance tab selected).
APPLET_DISPLAY_SETTINGS	Displays Standard Windows Display property page (the Settings tab selected).
APPLET_MOUSE	Displays Mouse properties.
APPLET_KEYBOARD_GENERAL	Displays Keyboard properties, General tab.
APPLET_KEYBOARD_LANGUAGE	Displays Keyboard properties, Language tab.
APPLET_KEYBOARD_SPEED	Displays Keyboard properties, Speed tab.
APPLET_MAIL_PROFILES	Displays the Microsoft Exchange Profiles general property page.
APPLET_POSTOFFICE_ADMIN	Displays the Microsoft Postoffice Workgroup Admin property page.
APPLET_MULTIMEDIA_AUDIO	Displays the Multimedia/Audio property page.
APPLET_MULTIMEDIA_VIDEO	Displays the Multimedia/Video property page.
APPLET_MULTIMEDIA_MIDI	Displays the Multimedia/MIDI property page.
APPLET_MULTIMEDIA_CDMUSIC	Displays the Multimedia/CD Music property page.
APPLET_MULTIMEDIA_ADVANCED	Displays the Multimedia/Advanced property page.
APPLET_MULTIMEDIA_SOUNDS	Displays the Sound Properties page.
APPLET_TIME_SET	Displays Set Date & Time properties tab.
APPLET_TIME_ZONE	Displays the Time Zone properties tab.
APPLET_REGIONAL_SETTINGS	Displays the Regional Settings property page.
APPLET_REGIONAL_NUMBERS	Displays the Numbers property page.
APPLET_REGIONAL_CURRENCY	Displays the Currency property page.
APPLET_REGIONAL_TIME	Displays the Time property page.
APPLET_REGIONAL_DATE	Displays the Date property page.
APPLET_SYSTEM_GENERAL	Displays System Properties (the General property page selected).
APPLET_SYSTEM_DEVICEMANAGER	Displays System Properties (the Device Manager property page selected).
APPLET_SYSTEM_HARDWARE_PROFILES	Displays System Properties (the Hardware Profiles property page selected).
APPLET_SYSTEM_PERFORMANCE	Displays System properties (the Performance property page selected).
APPLET_POWER_MANAGEMENT	Displays Power Management properties.
APPLET_DISKCOPY	Displays the Copy Disk dialog for removable media.


Suspend  Method

See Also                                    Example

Suspends the system by shutting power down.

Syntax

object.Suspend   SuspendMode

Return value type

Boolean

Settings

The Suspend method syntax has these parts:

Setting	Description

Object	An object expression that evaluates to a TuneIt control.

SuspendMode	A boolean value indicating Suspension technique. If TRUE, the system suspends using RAM-alive technique. Otherwise, suspends using hibernate technique.

Return value type

Boolean

Remarks

This method requires the Advanced Power Management enabled to success.

On success, the method returns True, else it returns False.


RestartInDosMode  Method

See Also                                    Example

Restarts the computer in MS-DOS mode.

Syntax

object.RestartInDosMode

Return value type

Boolean

Remarks

Before Restart, all file buffers have been flushed to disk, and all running processes have stopped.

Tip

Before calling this method, save any unsaved data to disk and close all your files.


UserChanged  Event

See Also

Occurs when the user logs on or off.

Syntax

Private Sub object_UserCganged ([index As Integer])

The   UserChanged   event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.


DisplayChanged  Event

See Also

Occurs when the display resolution has changed.

Syntax

Private Sub object_DisplayChanged ([index As Integer])

The  DisplayChanged  event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.


SysColorsChanged  Event

See Also

Occurs when a change is made to a system color setting.

Syntax

Private Sub object_SysColorsChanged ([index As Integer])

The  SysColorsChanged  event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.


TimeChanged  Event

See Also

Occurs after changing the system time.

Syntax

Private Sub object_TimeChanged ([index As Integer])

The  TimeChanged  event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.


PaletteChanged  Event

See Also

Occurs after changing the system palette ( when the window with the keyboard focus has realized its logical palette ).

Syntax

Private Sub object_PaletteChanged ([index As Integer,] ByVal PaletteChangedWindow As Long)

The   PaletteChanged   event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.

PaletteChangedWindow	A handle to the window that changed palette.


InputLanguageChanged  Event

See Also

Occurs when the current task's locale has been changed.

Syntax

Private Sub object_InputLanguageChanged ([index As Integer])

The   InputLanguageChanged   event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.


PowerBatteryLow  Event

See Also

Occurs when battery power is low.

Syntax

Private Sub object_PowerBatteryLow ([index As Integer])

The   PowerBatteryLow   event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.

Remarks

This event occurs when a system's APM BIOS signals an APM battery low notification. Because some APM BIOS implementations do not provide battery low notifications, this event may never be signaled on some machines

Tip

APM stands for Advanced Power Management.


PowerStatusChanged  Event

See Also

Occurs when a change in the power status of the computer is detected, such as a switch from battery power to A/C or a drop in remaining battery power below a threshold.

Syntax

Private Sub object_PowerStatusChanged ([index As Integer])

The   PowerStatusChanged   event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.

Remarks

This event can occur when the battery life time drops to less than 5 minutes, or when the percentage of battery life drops below 10 percent.


PowerQuerySuspend  Event

See Also

Occurs to request permission to suspend the computer.

Syntax

Private Sub object_PowerQuerySuspend ([index As Integer,] Prevent As Boolean)

The   PowerQuerySuspend   event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.

Prevent	A Boolean value indicating whether the system will be prevented from entering syspended mode or not. ( default : False ) .

Remarks

To prevents the system from entering suspended mode set the Prevent value to True .

Tip

When this event occurs and you want to allow the system to enter suspended mode, save any unsaved data to disk and close all your files.


PowerResume  Event

See Also

Occurs when the system has resumed operation after being suspended and applications resume normal operations.

Syntax

Private Sub object_PowerResume ([index As Integer])

The   PowerResume   event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.


PowerSuspend  Event

See Also

Occurs immediately before the computer is suspended.

Syntax

Private Sub object_PowerSuspend ([index As Integer])

The   PowerSuspend   event syntax has these parts:

Part	Description

object	An object expression that evaluates to a TuneIt control.

index	An integer that uniquely identifies a control if it's in a control array.

Remarks

An application should respond to this event by completing all tasks necessary to save data.


This property is read-only.


Enabled Property

See Also

Description

Syntax

object.Enabled [=]

Data type

Boolean

Remarks

The

Tip

To


 NetworkUserName Property

See Also                                  Example

Returns the user name used to establish a network connection.

Syntax

object.NetworkUserName

Data type

String


 WindowsPlatform Property

See Also                                 Example

Identifies the platform supported by the operating system.

Syntax

object.WindowsPlatform

Data type

String

Settings

The property settings are:

Setting	Description

"Win32s"	Win32s on Windows 3.1 .

"Windows 95"	Win32 on Windows 95 .

"Windows NT"	Windows NT .

Remarks

There are some differences between Win32 on Windows95 and Windows NT( i.e. Unicode, security, … ). If you use those operating system features, the WindowsPlatform can help you identify the operating system under which your program is running.


 WinVersion Property

See Also                       Example

Returns a string that identifies the full version number of the operating system.

Syntax

object.WinVersion

Data type

String


 WinMinorVersion Property

See Also

Returns the minor version number of the operating system.

Syntax

object.WinMinorVersion

Data type

Long


 WinMajorVersion Property

See Also

Returns the major version number of the operating system.

Syntax

object.WinMajorVersion

Data type

Long


 ProcessorName Property

See Also                                 Example

Returns a string that specifies the system's processor name.

Syntax

object.ProcessorName

Data type

String

Remarks

This property doesn’t specify the processor manufacturer.


 ProcessorType Property

See Also                                 Example

Returns the system's processor type.

Syntax

object.ProcessorType

Data type

Long

Settings

The property settings are:

Setting	Description

386	i386 ( DX / SX ) or a compatible processor.

486	i486 ( DX / SX ) or a compatible processor.

586	Pentium or a compatible processor.

686	…

Remarks

If your program uses unique features of a specific processor or requires a minimum amount of horse power, this property can help you.


 MiddleEastWindows Property

See Also

Returns a value indicating whether the system is Hebrew/Arabic enabled.

Syntax

object.MiddleEastWindows

Data type

Boolean


 PenWindows Property

See Also

Returns a value indicating whether the Microsoft Windows for Pen computing extensions are installed.

Syntax

object.PenWindows

Data type

Boolean


 DebugVersion Property

See Also

Returns a value indicating whether the debugging version of USER.EXE is installed.

Syntax

object.DebugVersion[=]

Data type

Boolean


 SlowMachine Property

See Also                                 Example

Returns a value indicating whether the computer has a low-end (slow) processor.

Syntax

object.SlowMachine

Data type

Boolean


 NetworkPresent Property

See Also                                 Example

Returns a value indicating whether a network is present.

Syntax

object.NetworkPresent

Data type

Boolean


 Security Property

See Also

Returns a value indicating whether security is present.

Syntax

object.Security

Data type

Boolean


 ProductID Property

See Also                                 Example

Returns the Product ID of the operating system under which the application is currently running.

Syntax

object.ProductID

Data type

String


 BootType Property

See Also                                 Example

Returns a value that specifies how the system started.

Syntax

object.BootType

Data type

Integer [ Enumerated ]

Settings

The property settings are:

Setting	Description

0	Normal boot

1	Fail-safe boot

2	Fail-safe with network boot

Remarks

Fail-safe boot (also called SafeBoot) bypasses the user's startup files.


 RegisteredOrganization Property

See Also                                 Example

Returns the Registered Organization that this running operating system is licensed to.

Syntax

object.RegisteredOrganization

Data type

String


 WindowsUserName Property

See Also                                 Example

Returns the name of the user currently logged onto the system.

Syntax

object.WindowsUserName

Data type

String


MachineName Property

See Also                                 Example

Returns or sets the computer name of the current system. This name is established at system startup, when it is initialized from the registry.

Syntax

object.MachineName

Data type

String


CursorBlinkTime Property

See Also                                 Example

Returns or sets the elapsed time, in milliseconds, required to invert the cursor's pixels.

Syntax

object.CursorBlinkTime [ = Value ]

Data type

Long


 MouseButtons Property

See Also                                 Example

Returns the number of buttons on mouse, or zero if no mouse is installed.

Syntax

object.MouseButtons

Data type

Integer

Settings

The property settings are:

Setting	Description

0	No mouse is installed.

other	Number of buttons on mouse.


 MaxColorResolution Property

See Also                                 Example

Returns the actual color resolution of the graphic device, in bits per pixel.

Syntax

object.MaxColorResolution

Data type

Integer

Remarks

The number of maximum visible colors with the current graphic device can be calculated using this formula :	MaxColors = 2 ^ MaxColorResolution


 BitsPerPixel Property

See Also                                 Example

Returns the number of color bits for each pixel.

Syntax

object.BitsPerPixel

Data type

Integer

Remarks

The number of visible colors with the current graphic mode can be calculated using this formula :

VisivleColors = 2 ^ BitsPerPixel


 VerticalResolution Property

See Also                                 Example

Returns the height, in raster lines, of the screen.

Syntax

object.VerticalResolution

Data type

Long


 HorizontalResolution Property

See Also                                 Example

Returns the width, in pixels, of the screen.

Syntax

object.HorizontalResolution

Data type

Long


PowerOffTimeOut Property

See Also                                 Example

Returns or sets the time-out value for the power-off phase of the screen saving, in seconds.

Syntax

object.PowerOffTimeOut [ = Value ]

Data type

Long

Remarks

The monitor must be EnergyStar compliant to make this property effective.


PowerOffActive Property

See Also                                 Example

Returns or sets a value indicating whether the power-off phase of the screen saving is enabled or not.

Syntax

object.PowerOffActive [ = Value ]

Data type

Boolean


KeyboardSpeed Property

See Also                                 Example

Returns or sets the keyboard repeat rate setting.

Syntax

object.KeyboardSpeed [ = Value ]

Data type

Long


LowPowerTimeOut Property

See Also                                 Example

Returns or sets the time-out value for the low-power phase of the screen saving, in seconds.

Syntax

object.LowPowerTimeOut [ = Value ]

Data type

Long

Remarks

The monitor must be EnergyStar compliant to make this property effective.


LowPowerActive Property

See Also                                 Example

Returns or sets a value indicating whether the low-power phase of screen saving is enabled or not.

Syntax

object.LowPowerActive [ = Value ]

Data type

Boolean


KeyBoardDelay Property

See Also                                 Example

Returns or sets the keyboard repeat delay setting.

Syntax

object.KeyBoardDelay [ = Value ]

Data type

Long


VerticalIconSpacing Property

See Also

Returns or sets the vertical space, for each arranged icon.

Syntax

object.VerticalIconSpacing [ = Value ]

Data type

Long


HorizontalIconSpacing Property

See Also

Returns or sets the horizontal space, for each arranged icon.

Syntax

object.HorizontalIconSpacing [ = Value ]

Data type

Long


GridGranularity Property

See Also

Returns or sets the current granularity value of the desktop sizing grid.

Syntax

object.GridGranularity [ = Value ]

Data type

Long


StretchWallPaper Property

See Also                                 Example

Returns or sets a value indicating whether or not the wallpaper is stretched to cover the entire screen.

Syntax

object.StretchWallPaper [ = Value ]

Data type

Boolean


TileWallPaper Property

See Also                                 Example

Returns or sets a value indicating whether the wallpaper is tiled to cover the entire screen.

Syntax

object.TileWallPaper [ = Value ]

Data type

Boolean


FontSmoothing Property

See Also

Returns or sets a value indicating whether to smooth the jagged edges of large fonts or not. It can make your screen fonts more readable.

Syntax

object.FontSmoothing [ = Value ]

Data type

Boolean

Remarks

If you want to use this feature, your video card and monitor must support 256-color setting. For best results, your video card and monitor should support high color ( 16-bit color ).

Tip

Windows 95:

To change the value of this property, "Microsoft Plus!" or "Internet Explorer 4.x" should be installed.


TipOfDayActive Property

See Also                                 Example

Returns or sets a value indicating whether to show `Tip of the Day’ window at startup or not.

Syntax

object.TipOfDayActive [ = Value ]

Data type

Boolean


ScreenSaverActive Property

See Also                                 Example

Returns or sets a value indicating whether the screen saving is enabled or not.

Syntax

object.ScreenSaverActive [ = Value ]

Data type

Boolean


ScreenSaverTimeOut Property

See Also                                 Example

Returns or sets the time-out value for the screen saver, in seconds.

Syntax

object.ScreenSaverTimeOut [ = Value ]

Data type

Long


MessageFont Property

See Also                                 Example

Returns or sets information about the font used in the message boxes.

Syntax

object.MessageFont [=]

Data type

Font object


StatusFont Property

See Also                                 Example

Returns or sets information about the font used in the status bars.

Syntax

object.StatusFont [=]

Data type

Font object


MenuFont Property

See Also                                 Example

Returns or sets information about the font used in the menu bars.

Syntax

object.MenuFont [=]

Data type

Font object

Remarks

When you set this property to a new value, if the menu height is less than the new font height, the menu height is enlarged.

Tip

This property affects all the menus in the system. So change it carefully.


CaptionFont Property

See Also                                 Example

Returns or sets information about the font used in  the window captions.

Syntax

object.CaptionFont [=]

Data type

Font object

Remarks

When you set this property to a new value, if the title height is less than the new font height, the title height is enlarged.

Tip

This property affects all the captions in the system. So change it carefully.


SmallCaptionFont Property

See Also                                 Example

Returns or sets information about the font used in the small captions.

Syntax

object.SmallCaptionFont [=]

Data type

Font object

Remarks

When you set this property to a new value, if the small caption height is less than the new font height, the small caption height is enlarged.

Tip

This property affects all the small captions in the system. So change it carefully.


IconTitleFont Property

See Also                                 Example

Returns or sets information about the font used in the icon titles.

Syntax

object.IconTitleFont [=]

Data type

Font object


MenuHeight Property

See Also                                 Example

Returns or sets the height of the menu bars.

Syntax

object.MenuHeight [ = Value ]

Data type

Integer

Tip

This property affects all the menus in the system. So change it carefully.


MenuWidth Property

See Also                                 Example

Returns or sets the width of the menu bar buttons.

Syntax

object.MenuWidth [ = Value ]

Data type

Integer

Tip

This property affects all the menu bar buttons in the system. So change it carefully.


SmallCaptionHeight Property

See Also                                 Example

Returns or sets the height of the small captions.

Syntax

object.SmallCaptionHeight [ = Value ]

Data type

Integer

Remarks

Small captions are usually more narrow than other captions. But you can make them bigger as much as required.

Tip

This property affects all the small captions in the system. So change it carefully.


SmallCaptionWidth Property

See Also                                 Example

Returns or sets the width of the small caption buttons.

Syntax

object.SmallCaptionWidth [ = Value ]

Data type

Integer

Tip

This property affects all the small caption buttons in the system. So change it carefully.


CaptionHeight Property

See Also                                 Example

Returns or sets the height of the captions.

Syntax

object.CaptionHeight [ = Value ]

Data type

Integer

Tip

This property affects all the captions in the system. So change it carefully.


CaptionWidth Property

See Also                                 Example

Returns or sets the width of the caption buttons.

Syntax

object.CaptionWidth [ = Value ]

Data type

Integer

Tip

This property affects all the caption buttons in the system. So change it carefully.


ScrollBarWidth Property

See Also                                 Example

Returns or sets the width of the standard vertical scroll bars.

Syntax

object.ScrollBarWidth [ = Value ]

Data type

Integer

Tip

This property affects all the standard vertical scroll bars in the system. So change it carefully.


ScrollBarHeight Property

See Also                                 Example

Returns or sets the height of the standard horizontal scroll bars.

Syntax

object.ScrollBarHeight [ = Value ]

Data type

Integer

Tip

This property affects all the standard horizontal scroll bars in the system. So change it carefully.


BorderWidth Property

See Also                                 Example

Returns or sets the thickness of the sizing border.

Syntax

object.BorderWidth [ = Value ]

Data type

Integer

Tip

This property affects all the borders in the system. So change it carefully.


MinimizeArrangeStyle Property

See Also

Specifies the starting position and direction used when arranging minimized windows.

Syntax

object.MinimizeArrangeStyle [ = Value ]

Data type

Long

Settings

The property setting is the Bitwise OR value of the starting position and the direction.

The starting position must be one of the following values:

Setting	Description

0	Start at the lower-left corner of the work area.

1	Start at the lower-right corner of the work area.

2	Start at the upper-left corner of the work area.

3	Start at the upper-right corner of the work area.

The direction must be one of the following values:

Setting	Description

0	Arrange left

0	Arrange right

4	Arrange up

4	Arrange down


MinimizedVerticalGap Property

See Also

Specifies the amount of vertical space between arranged minimized windows.

Syntax

object.MinimizedVerticalGap [ = Value ]

Data type

Integer


MinimizedHorizontalGap Property

See Also

Specifies the amount of horizontal space between arranged minimized windows.

Syntax

object.MinimizedHorizontalGap [ = Value ]

Data type

Integer


MinimizedWinWidth Property

See Also                                 Example

Specifies the width of minimized windows.

Syntax

object.MinimizedWinWidth [ = Value ]

Data type

Integer


MenuDropRightAlign Property

See Also                                 Example

Determines whether or not the pop-up menus are right-aligned, relative to the corresponding menu-bar item.

Syntax

object.MenuDropRightAlign [ = Value ]

Data type

Boolean


IconTitleWrap Property

See Also                                 Example

Determines whether icon titles wrap to a new line.

Syntax

object.IconTitleWrap [ = Value ]

Data type

Boolean


FastTaskSwitch Property

See Also                                 Example

Determines whether the fast task switching is enabled or not.

Syntax

object.FastTaskSwitch [ = Value ]

Data type

Boolean


DragFullWindow Property

See Also                                 Example

Returns or sets a value indicating whether to display the contents of a window as you move or size it.

Syntax

object.DragFullWindow [ = Value ]

Data type

Boolean

Remarks

If you set this property to True, you may see `trails’ as you move a window.

Tip

Windows 95:

To change the value of this property, "Microsoft Plus!" or "Internet Explorer 4.x" should be installed.


DesktopWallPaper Property

See Also                                 Example

Specifies the wallpaper used to decorate the desktop.

Syntax

object.DesktopWallPaper [ = Value ]

Data type

String

Remarks

To set this property to a new value, you must specify the full path of an existing bitmap file.


DesktopPattern Property

See Also                                 Example

Specifies the pattern used to decorate the desktop.

Syntax

object.DesktopPattern [ = Value ]

Data type

String

Remarks

The desktop pattern is made of  8*8 pixels boxes. The DesktopPattern property is a string containing eight 8bit decimal numbers that specify the pattern. For example following line of code makes an 50% gray pattern :

TuneIt1.DesktopPattern = “170 85 170 85 170 85 170 85”


BorderFactor Property

See Also                                 Example

Returns or sets the border multiplier factor that determines the width of the windows’ sizing borders.

Syntax

object.BorderFactor [ = Value ]

Data type

Integer


BeepEnabled Property

See Also                                 Example

Determines whether the warning beeper is on (True) or off (False).

Syntax

object.BeepEnabled [ = Value ]

Data type

Boolean


AnimationEnabled Property

See Also                                 Example

Returns or sets a value indicating whether the minimize and restore animation is enabled.

Syntax

object.AnimationEnabled [ = Value ]

Data type

Boolean

Remarks

You can see the effect of this property when minimizing, maximizing or restoring windows.


IconsUsingAllColors Property

See Also

Returns or sets a value indicating whether to display icons using all the colors supported by the current display and palette settings.

Syntax

object.IconsUsingAllColors [ = Value ]

Data type

Boolean

Tip

Using all possible colors to display icons take up more memory. To improve performance, set this property to True.


IconType Property

See Also                                 Example

Returns or sets the size of all the desktop icons based on an enumerated value.

Syntax

object.IconType [ = Value ]

Data type

Integer [ Enumerated ]

Settings

The property settings are:

Setting	Description

0	Extra Small	(  8 * 8  )

1	Very Small	( 16 * 16 )

2	Small	( 32 * 32 )

3	Medium	( 48 * 48 )

4	Large	( 64 * 64 )

5	Very large	( 96 * 96 )


 HardDrivesNumber Property

See Also                                 Example

Determines the number of logical hard drives in the system.

Syntax

object.HardDrivesNumber

Data type

Integer

Remarks

This property doesn’t return the number of hard disks in your system. For example if your system contains two hard disks with  5 logical drives ( C: , D: , …  G: ), the value of the property will be : 5.


 FloppyDrivesNumber Property

See Also                                 Example

Determines the number of floppy disk drives in the system.

Syntax

object.FloppyDrivesNumber

Data type

Integer


 CdDrivesNumber Property

See Also                                 Example

Determines the number of CD-Rom drives in the system.

Syntax

object.CdDrivesNumber

Data type

Integer


 RamDrivesNumber Property

See Also                                 Example

Determines the number of available Ram-drives in the system.

Syntax

object.RamDrivesNumber

Data type

Integer


 RemoteDrivesNumber Property

See Also                                 Example

Determines the number of remote ( network ) drives available.

Syntax

object.RemoteDrivesNumber

Data type

Integer


 FileCompressSupport Property

See Also                          Example

Determines whether the file system supports file-based compression.

Syntax

object.FileCompressSupport

Data type

Boolean


 UnicodeFileName Property

See Also                                 Example

Determines whether the file system supports Unicode in filenames as they appear on disk.

Syntax

object.UnicodeFileName

Data type

Boolean


 MaxFileNameLength Property

See Also                                 Example

Determines file system's maximum filename length.

Syntax

object.MaxFileNameLength

Data type

Long

Remarks

This property indicates the maximum length, in characters, of a filename component supported by the specified file system. A filename component is that portion of a filename between backslashes.


 FileSystem Property

See Also                                 Example

Returns the name of the file system (such as "FAT" or "NTFS").

Syntax

object.FileSystem

Data type

String

Tip

FAT stands for File Allocation Table. ( DOS file system )

HPFS stands for High Performance File System. ( OS/2 file system )

NTFS stands for New Technology File System. ( Windows NT file system )


 CaseSensitiveFileName Property

See Also                                 Example

Determines whether the file system supports case-sensitive filenames.

Syntax

object.CaseSensitiveFileName

Data type

Boolean


 TotalPhysicalMemory Property

See Also                                 Example

Returns the total number of KiloBytes of physical memory.

Syntax

object.TotalPhysicalMemory

Data type

Long


 FreePhysicalMemory Property

See Also                                 Example

Returns the number of KiloBytes of free physical memory.

Syntax

object.FreePhysicalMemory

Data type

Long


 SoundDevice Property

See Also                                 Example

Returns the name of an existing sound device on your system.

Syntax

object.SoundDevice

Data type

String


 MidiDevice Property

See Also                                 Example

Returns the name of an existing Midi device on your system.

Syntax

object.MidiDevice

Data type

String

Tip

Midi stands for Musical Instruments Digital Interface.


 KeyboardLayout Property

See Also                                 Example

Returns the name of the active keyboard layout.

Syntax

object.KeyboardLayout

Data type

String


 AnsiCodePage Property

See Also                                 Example

Returns the current ANSI code-page identifier of the system.

Syntax

object.AnsiCodePage

Data type

Long

Remarks

The ANSI code-page identifiers are :

Identifier	Meaning

874	Thai

932	Japan

936	Chinese (PRC, Singapore)

949	Korean

950	Chinese (Taiwan, Hong Kong)

1200	Unicode (BMP of ISO 10646)

1250	Windows 3.1 Eastern European

1251	Windows 3.1 Cyrillic

1252	Windows 3.1 Latin 1 (US, Western Europe)

1253	Windows 3.1 Greek

1254	Windows 3.1 Turkish

1255	Hebrew

1256	Arabic

1257	Baltic


 OemCodePage Property

See Also                                 Example

Returns the current OEM code-page identifier of the system.

Syntax

object.OemCodePage

Data type

Long

Remarks

The OEM code-page identifiers are :

Identifier	Meaning

437	MS-DOS United States

708	Arabic (ASMO 708)

709	Arabic (ASMO 449+, BCON V4)

710	Arabic (Transparent Arabic)

720	Arabic (Transparent ASMO)

737	Greek (formerly 437G)

775	Baltic

850	MS-DOS Multilingual (Latin I)

852	MS-DOS Slavic (Latin II)

855	IBM Cyrillic (primarily Russian)

857	IBM Turkish

860	MS-DOS Portuguese

861	MS-DOS Icelandic

862	Hebrew

863	MS-DOS Canadian-French

864	Arabic

865	MS-DOS Nordic

866	MS-DOS Russian (former USSR)

869	IBM Modern Greek

874	Thai

932	Japan

936	Chinese (PRC, Singapore)

949	Korean

950	Chinese (Taiwan, Hong Kong)

1361	Korean (Johab)

Tip

OEM stands for Original Equipment Manufacturer.


 Language Property

See Also                                 Example

Returns the full English name of the current system language from the ISO-Standard 639.

Syntax

object.Language

Data type

String

Tip

ISO stands for International Organization for Standardization


DoubleClickTime Property

See Also                                 Example

Returns or sets the amount of time ( in milliseconds ) that can pass between clicks when the user double-clicks the primary mouse button.

Syntax

object.DoubleClickTime [ = Value ]

Data type

Integer

Remarks

Decreasing this property value makes it difficult for the user to double click.


 CasePreservedFileName Property

See Also                                 Example

Determines whether the file system preserves the case of filenames when it places a name on disk.

Syntax

object.CasePreservedFileName

Data type

Boolean


 SwapFileSize Property

See Also                                 Example

Returns the current size of swap file on disk.

Syntax

object.SwapFileSize

Data type

Long


 WindowsDirectory Property

See Also                                 Example

Returns the path of the Windows directory.

Syntax

object.WindowsDirectory

Data type

String

Remarks

The Windows directory contains such files as Windows-based applications, initialization files, and Help files.


 TempDirectory Property

See Also                                 Example

Returns the path of the directory designated for temporary files.

Syntax

object.TempDirectory

Data type

String

Remarks

  This property gets the temporary file path as follows :

 1.  The path specified by the TMP environment variable.

 2.  The path specified by the TEMP environment variable, if TMP is not defined.

 3.  The current directory, if both TMP and TEMP are not defined.

Tip

If your program creates temporary files that doesn’t need them later, create them at this location.


SwapMouseButtons Property

See Also                                 Example

Returns or sets a value indicating whether the meaning of mouse buttons is swapped or not.

Syntax

object.SwapMouseButtons [ = Value ]

Data type

Boolean


 DisplayAdapter Property

See Also                                 Example

Returns the name of the display adapter currently installed.

Syntax

object.DisplayAdapter

Data type

String


 DisplayAdapterVersion Property

See Also                                 Example

Returns the version number of the display adapter currently installed.

Syntax

object.DisplayAdapterVersion

Data type

String


 MonitorType Property

See Also                                 Example

Returns the type of the monitor.

Syntax

object.MonitorType

Data type

String


 EnergyStarMonitor Property

See Also                                 Example

Indicates whether the monitor can reduce its power usage.

Syntax

object.EnergyStarMonitor

Data type

Boolean

Tip

Energy Star is a program administrated by the U.S. Environmental Protection Agency(EPA) to reduce the amount of power used by personal computers and peripherals.


 KeyboardType Property

See Also                                 Example

Returns the type of keyboard currently installed.

Syntax

object.KeyboardType

Data type

String


 MouseType Property

See Also                                 Example

Returns the type of mouse currently installed.

Syntax

object.MouseType

Data type

String


 DefaultPrinter Property

See Also                                 Example

Returns the name of the default printer currently installed.

Syntax

object.DefaultPrinter

Data type

String


MouseTrails Property

See Also                                 Example

Returns or sets a value indicating the number of mouse trails visible.

Syntax

object.MouseTrails [ = Value ]

Data type

Integer [ Enumerated ]

Settings

The property settings are:

Setting	Description

0	Disable trails

1-7	Number of mouse trails.

Tip

Adding a trail to the mouse pointer, makes it easier to see on LCD screens.


 TimeZone Property

See Also                                 Example

Returns the name of the current time zone.

Syntax

object.TimeZone

Data type

String


 LocalTimeName Property

See Also                                 Example

Returns the string associated with standard time on this operating system.

Syntax

object.LocalTimeName

Data type

String


 ACStatus Property

See Also                                 Example

Returns a value that indicates whether the system is using AC power or not.

Syntax

object.ACStatus

Data type

Integer [ Enumerated ]

Settings

The property settings are:

Setting	Description

0	Offline ( The system is not using AC power. )

1	Online ( The system is using AC power. )

255	Unknown status.


 BatteryStatus Property

See Also                                 Example

Returns the Battery charge status.

Syntax

object.BatteryStatus

Data type

Integer [ Enumerated ]

Settings

The property setting can be a combination of the following values:

Setting	Description

1	High

2	Low

4	Critical

8	Charging

128	No system battery

255	Unknown status


 BatteryLifePercent Property

See Also                                 Example

Returns the percentage of full battery charge remaining.

Syntax

object.BatteryLifePercent

Data type

Integer

Settings

The property settings are:

Setting	Description

0-100	Percentage of full battery charge remaining.

255	Status is unknown.


 BatteryFullTime Property

See Also                                 Example

Returns a value that indicates the full charge life of the battery.

Syntax

object.BatteryFullTime

Data type

Long

Settings

The property settings are:

Setting	Description

H&FFFFFFFF	Full lifetime is unknown.

else	Number of seconds of battery life when at full charge.

Remarks

Without smart battery subsystems, this value may not be accurate enough to be useful.


 BatteryLifeTime Property

See Also                                 Example

Returns a value that indicates the remaining life of the battery.

Syntax

object.BatteryLifeTime

Data type

Long

Settings

The property settings are:

Setting	Description

H&FFFFFFFF	Remaining seconds are unknown.

else	Number of seconds of battery life remaining.


 WorkAreaLeft Property

See Also                                 Example

Returns the coordinate for the left edge of the working area.

Syntax

object.WorkAreaLeft

Data type

Long

Remarks

The working area is the portion of the screen not obscured by the tray.


 WorkAreaTop Property

See Also                                 Example

Returns the coordinate for the top edge of the working area.

Syntax

object.WorkAreaTop

Data type

Long

Remarks

The working area is the portion of the screen not obscured by the tray.


 WorkAreaWidth Property

See Also                                 Example

Returns the width of the working area.

Syntax

object.WorkAreaWidth

Data type

Long

Remarks

The working area is the portion of the screen not obscured by the tray.


 WorkAreaHeight Property

See Also                                 Example

Returns the height of the working area.

Syntax

object.WorkAreaHeight

Data type

Long

Remarks

The working area is the portion of the screen not obscured by the tray.


 Shell Property

See Also                                 Example

Returns the full name of the Windows Shell application.

Syntax

object.Shell

Data type

String


ScreenSaver Property

See Also                                 Example

Returns or sets the full name of the Windows screen saver.

Syntax

object.ScreenSaver [ = Value ]

Data type

String


MaxSwapFileSize Property

See Also

Returns the total number of Kilobytes that can be stored in the swap file.

Syntax

object.MaxSwapFileSize

Data type

Long

Remarks

Note that this number does not represent the actual physical size of the paging file on disk.


 TaskbarAutoHide Property

See Also                                 Example

Returns a value indicating whether the Windows taskbar is auto-hide or not.

Syntax

object.TaskbarAutoHide

Data type

Boolean


 TaskbarAlwaysOnTop Property

See Also                                 Example

Returns a value indicating whether the Windows taskbar is in Always-on-top state or not.

Syntax

object.TaskbarAlwaysOnTop

Data type

Boolean


 TaskbarEdge Property

See Also                                 Example

Returns a value indicating the screen edge which the Windows taskbar resides.

Syntax

object.TaskbarEdge

Data type

Integer [ Enumerated ]

Settings

The property settings are:

Setting	Description

0	Left

1	Top

2	Right

3	Bottom

4	No taskbar


MemoryUtilization Property

See Also

Returns a number between 0 and 100 that gives a general idea of current memory utilization, in which 0 indicates no memory use and 100 indicates full memory use.

Syntax

object.MemoryUtilization

Data type

Short


 LocalTimeMinusGMT Property

See Also                                 Example

Returns difference between the local time and the GMT(Greenwich Mean Time).

Syntax

object.LocalTimeMinusGMT

Data type

Date


 WindowsStartupTime Property

See Also                                 Example

Returns the exact time when the Windows started.

Syntax

object.WindowsStartupTime

Data type

Date


 CapsLockOn Property

See Also                                 Example

Indicates whether Caps Lock on the keyboard is On (True) or Off (False) .

Syntax

object.CapsLockOn

Data type

Boolean


 NumLockOn Property

See Also                                 Example

Indicates whether Num Lock on the keyboard is On (True) or Off (False) .

Syntax

object.NumLockOn

Data type

Boolean


 ScrollLockOn Property

See Also                                 Example

Indicates whether Scroll Lock on the keyboard is On (True) or Off (False) .

Syntax

object.ScrollLockOn

Data type

Boolean


PATH Property

See Also

Returns the DOS Path environment variable.

Syntax

object.PATH

Data type

String


COMSPEC Property

See Also

Returns the DOS COMSPEC environment variable ( Command interpreter address with parameters ).

Syntax

object.COMSPEC

Data type

String


TotalVirtualMemory Property

See Also

Returns the total number of Kilobytes that can be described in the user mode portion of the virtual address space of the calling process.

Syntax

object.TotalVirtualMemory

Data type

Long


FreeVirtualMemory Property

See Also

Returns the number of bytes of unreserved and uncommitted memory in the user mode portion of the virtual address space of the calling process.

Syntax

object.FreeVirtualMemory

Data type

Long


ProcessorUsagePercent Property

See Also

Returns the percent of processor time that is not spent idle.

Syntax

object.ProcessorUsagePercent

Data type

Short


Threads Property

See Also

Returns the number of processor threads present in the system.

Syntax

object.Threads

Data type

Long

Remarks

Thread is the basic entity to which the operating system allocates CPU time. A thread can execute any part of the application's code, including a part currently being executed by another thread. All threads of a process share the virtual address space, global variables, and operating-system resources of the process.


VirtualMachines Property

See Also

Returns the number of virtual machines (VMs) present in the system.

Syntax

object.VirtualMachines

Data type

Long


BIOS Property

See Also

Returns the BIOS full name ( including name, manufacturer and release date ).

Syntax

object.BIOS

Data type

String

Tip

BIOS stands for Basic Input Output Services.


AllocatedMemorySize Property

See Also

Returns the total Kilobytes of memory that has been allocated in the system, across all components and applications.

Syntax

object.AllocatedMemorySize

Data type

Long


LockedMemorySize Property

See Also

Returns the total Kilobytes of memory allocated and locked in the system, across all components and applications.

Syntax

object.LockedMemorySize

Data type

Long


DiskCacheSize Property

See Also

Returns the current size of disk cache ( in Kilobytes ).

Syntax

object.DiskCacheSize

Data type

Long


MinDiskCacheSize Property

See Also

Returns the minimum disk cache size ( in Kilobytes ).

Syntax

object.MinDiskCacheSize

Data type

Long


MaxDiskCacheSize Property

See Also

Returns the maximum disk cache size ( in Kilobytes ).

Syntax

object.MaxDiskCacheSize

Data type

Long


SwapFileInUse Property

See Also

Returns the number of Kilobytes in the swap file currently in use.

Syntax

object.SwapFileInUse

Data type

Long


MaxVerticalResolution Property

See Also

Returns the maximum height, in raster lines, of the screen.

Syntax

object.MaxVerticalResolution

Data type

Long


MaxHorizontalResolution Property

See Also

Returns the maximum width, in pixels, of the screen.

Syntax

object.MaxHorizontalResolution

Data type

Long


InterlacedDisplay Property

See Also

Returns a value indicating whether the display mode is interlaced (True) or NON-interlaced (False).

Syntax

object.InterlacedDisplay

Data type

Boolean


DisplayFrequency Property

See Also

Returns the current vertical refresh rate of the display device, in cycles per second (Hz).

Syntax

object.DisplayFrequency

Data type

Long

Remarks

This property is only usable in Windows NT.


NumberOfProcessors Property

See Also

Returns the number of processors in the system.

Syntax

object.NumberOfProcessors

Data type

String


ProcessorRevision Property

See Also

Returns the system's processor revision number.

Syntax

object.ProcessorRevision

Data type

String


FtpClient Property

See Also                             Example

Returns the name of the default FTP client application in the system, including full path name..

Syntax

object.FtpClient

Data type

String


MailClient Property

See Also                          Example

Returns the name of the default Mail client application in the system, including full path name.

Syntax

object.MailClient

Data type

String


TelnetClient Property

See Also                     Example

Returns the name of the default Telnet application in the system, including full path name.

Syntax

object.TelnetClient

Data type

String


WebBrowser Property

See Also                                 Example

Returns the name of the default Web browser in the system, including full path name.

Syntax

object.WebBrowser

Data type

String


MenuShowDelay Property

See Also                                       Example

Returns or sets the delay time, in milliseconds, before showing a new popup menu.

Syntax

object.MenuShowDelay [=]

Data type

Long

Remarks

Change to this property may doesn't take effect until restarting Windows.


Workgroup Property

See Also                                       Example

Returns or sets the Workgroup this computer will appear in.

Syntax

object.Workgroup [=]

Data type

String

Remarks

This property identifies the group of computers that your computer is in. A workgroup is generally composed of the computers you are most likely to communicate with. The Workgroup could contain up to 15 characters.

Tip

You can assign an existing workgroup name to this property or create a new workgroup by assigning a new name. Anyway, Windows should be restarted to changes take effect.


WorkgroupComputerName Property

See Also                                       Example

Returns or sets the name of the current computer in the network.

Syntax

object.WorkgroupComputerName [=]

Data type

String

Remarks

The computer name must be a unique name of up to 15 characters. It can not include blank spaces.


WorkgroupComputerDescription Property

See Also                                       Example

Returns or sets the description of the current computer that other people see when they look at this computer on the network.

Syntax

object.WorkgroupComputerDescription [=]

Data type

String

Remarks

This property is an optional comment describing this computer on the network (for example, name, department, or location) or the type of shared information on it.


NetworkAdapter Property

See Also                                       Example

Returns the name of the installed network adapter.

Syntax

object.NetworkAdapter

Data type

String


SCSIAdapter Property

See Also                                       Example

Returns the name of the installed SCSI adapter.

Syntax

object.SCSIAdapter

Data type

String


PlusInstalled Property

See Also                                       Example

Returns a value indicating whether the Microsoft PLUS! is installed.

Syntax

object.PlusInstalled

Data type

Boolean


PlusVersion Property

See Also                                       Example

Returns the version number of Microsoft PLUS, if it's already installed.

Syntax

object.PlusVersion

Data type

String


The Property

See Also                                       Example

Description

Syntax

object.The [=]

Data type

Boolean

Remarks

The

Tip

To


Properties ( all )
Properties

Methods                                 Events

ACStatus	AllocatedMemorySize

AnimationEnabled	AnsiCodePage

BatteryFullTime	BatteryLifePercent

BatteryLifeTime	BatteryStatus

BeepEnabled	BIOS

BitsPerPixel	BootType

BorderFactor	BorderWidth

CapsLockOn	CaptionFont

CaptionHeight	CaptionWidth

CasePreservedFileName	CaseSensitiveFileName

CdDrivesNumber	COMSPEC

CursorBlinkTime	DebugVersion

DefaultPrinter	DesktopPattern

DesktopWallPaper	DiskCacheSize

DisplayAdapter	DisplayAdapterVersion

DisplayFrequency	DoubleClickTime

DragFullWindow	EnergyStarMonitor

FastTaskSwitch	FileCompressSupport

FileSystem	FloppyDrivesNumber

FontSmoothing	FreePhysicalMemory

FreeVirtualMemory	FtpClient

GridGranularity	HardDrivesNumber

HorizontalIconSpacing	HorizontalResolution

IconsUsingAllColors	IconTitleFont

IconTitleWrap	IconType

InterlacedDisplay	KeyBoardDelay

KeyboardLayout	KeyboardSpeed

KeyboardType	Language

LocalTimeMinusGMT	LocalTimeName

LockedMemorySize	LowPowerActive

LowPowerTimeOut	MachineName

MailClient	MaxColorResolution

MaxDiskCacheSize	MaxFileNameLength

MaxHorizontalResolution	MaxSwapFileSize

MaxVerticalResolution	MemoryUtilization

MenuDropRightAlign	MenuFont

MenuHeight	MenuShowDelay

MenuWidth	MessageFont

MiddleEastWindows	MidiDevice

MinDiskCacheSize	MinimizeArrangeStyle

MinimizedHorizontalGap	MinimizedVerticalGap

MinimizedWinWidth	MonitorType

MouseButtons	MouseTrails

MouseType	NetworkAdapter

NetworkPresent	NetworkUserName

NumberOfProcessors	NumLockOn

OemCodePage	PATH

PenWindows	PowerOffActive

PlusInstalled	PlusVersion

PowerOffTimeOut	ProcessorName

ProcessorRevision	ProcessorType

ProcessorUsagePercent	ProductID

RamDrivesNumber	RegisteredOrganization

RemoteDrivesNumber	ScreenSaverActive

ScreenSaver	ScreenSaverTimeOut

ScrollBarHeight	ScrollBarWidth

ScrollLockOn	SCSIAdapter

Security	Shell

SlowMachine	SmallCaptionFont

SmallCaptionHeight	SmallCaptionWidth

SoundDevice	StatusFont

StretchWallPaper	SwapFileInUse

SwapFileSize	SwapMouseButtons

TaskbarAlwaysOnTop	TaskbarAutoHide

TaskbarEdge	TelnetClient

TempDirectory	Threads

TileWallPaper	TimeZone

TipOfDayActive	TotalPhysicalMemory

TotalVirtualMemory	UnicodeFileName

VerticalIconSpacing	VerticalResolution

VirtualMachines	WebBrowser

WindowsDirectory	WindowsPlatform

WindowsStartupTime	WindowsUserName

WinMajorVersion	WinMinorVersion

WinVersion	WorkAreaHeight

WorkAreaLeft	WorkAreaTop

WorkAreaWidth	Workgroup

WorkgroupComputerName	WorkgroupComputerDescription


Properties ( group )
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Desktop )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

 Font properties

 Icon properties

 Keyboard properties

 Mouse properties

 Screen saver properties

 Task bar properties

 Wallpaper properties

 Window management properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / graphics)
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

BitsPerPixel

DisplayAdapter

DisplayAdapterVersion

DisplayFrequency

EnergyStarMonitor

HorizontalResolution

InterlacedDisplay

MaxColorResolution

MaxHorizontalResolution

MaxVerticalResolution

MonitorType

VerticalResolution

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / machine )
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

 Machine properties

BIOS

CdDrivesNumber

FloppyDrivesNumber

FreePhysicalMemory

HardDrivesNumber

MachineName

NumberOfProcessors

ProcessorName

ProcessorRevision

ProcessorType

RamDrivesNumber

RemoteDrivesNumber

SlowMachine

TotalPhysicalMemory

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Network )
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

 Machine properties

 Network properties

NetworkAdapter

NetworkUserName

Workgroup

WorkgroupComputerName

WorkgroupComputerDescription

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / operating system )
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

AnsiCodePage

BootType

CasePreservedFileName

CaseSensitiveFileName

COMSPEC

DebugVersion

FastTaskSwitch

FileCompressSupport

FileSystem

FtpClient

Language

MailClient

MaxFileNameLength

MaxSwapFileSize

MiddleEastWindows

NetworkPresent

OemCodePage

PATH

PenWindows

PlusInstalled

PlusVersion

ProductID

Security

Shell

SwapFileSize

TelnetClient

TempDirectory

UnicodeFileName

WebBrowser

WindowsDirectory

WindowsPlatform

WindowsStartupTime

WinMajorVersion

WinMinorVersion

WinVersion

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / peripheral device )
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

DefaultPrinter

MidiDevice

SCSIAdapter

SoundDevice

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / power status )
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

ACStatus

BatteryFullTime

BatteryLifePercent

BatteryLifeTime

BatteryStatus

 System resources properties

 Time Zone properties

 User properties


Properties ( group / system resources )
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

AllocatedMemorySize

DiskCacheSize

FreeVirtualMemory

LockedMemorySize

MaxDiskCacheSize

MemoryUtilization

MinDiskCacheSize

ProcessorUsagePercent

SwapFileInUse

Threads

TotalVirtualMemory

VirtualMachines

 Time Zone properties

 User properties


Properties ( group / time zone )
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

LocalTimeMinusGMT

LocalTimeName

TimeZone

 User properties


Properties ( group / user )
Properties

Methods                                 Events

 Desktop properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties

NetworkUserName

RegisteredOrganization

WindowsUserName


Properties ( group / Desktop / Dimensions )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

BorderFactor

BorderWidth

CaptionHeight

CaptionWidth

MenuHeight

MenuWidth

MinimizedHorizontalGap

MinimizedVerticalGap

MinimizedWinWidth

ScrollBarHeight

ScrollBarWidth

SmallCaptionHeight

SmallCaptionWidth

WorkAreaHeight

WorkAreaLeft

WorkAreaTop

WorkAreaWidth

 Font properties

 Icon properties

 Keyboard properties

 Mouse properties

 Screen saver properties

 Task bar properties

 Wallpaper properties

 Window management properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 ripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Desktop / Font )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

 Font properties

CaptionFont

FontSmoothing

IconTitleFont

MenuFont

MessageFont

SmallCaptionFont

StatusFont

 Icon properties

 Keyboard properties

 Mouse properties

 Screen saver properties

 Task bar properties

 Wallpaper properties

 Window management properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Desktop / Icon )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

 Font properties

 Icon properties

HorizontalIconSpacing

IconsUsingAllColors

IconTitleWrap

IconType

VerticalIconSpacing

 Keyboard properties

 Mouse properties

 Screen saver properties

 Task bar properties

 Wallpaper properties

 Window management properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Desktop / Keyboard )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

 Font properties

 Icon properties

 Keyboard properties

CapsLockOn

CursorBlinkTime

KeyBoardDelay

KeyboardLayout

KeyboardSpeed

KeyboardType

NumLockOn

ScrollLockOn

 Mouse properties

 Screen saver properties

 Task bar properties

 Wallpaper properties

 Window management properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Desktop / Mouse )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

 Font properties

 Icon properties

 Keyboard properties

 Mouse properties

DoubleClickTime

MouseButtons

MouseTrails

MouseType

SwapMouseButtons

 Screen saver properties

 Task bar properties

 Wallpaper properties

 Window management properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Desktop / Screen saver )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

 Font properties

 Icon properties

 Keyboard properties

 Mouse properties

 Screen saver properties

LowPowerActive

LowPowerTimeOut

PowerOffActive

PowerOffTimeOut

ScreenSaverActive

ScreenSaver

ScreenSaverTimeOut

 Task bar properties

 Wallpaper properties

 Window management properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Desktop / Taskbar )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

 Font properties

 Icon properties

 Keyboard properties

 Mouse properties

 Screen saver properties

 Task bar properties

TaskbarAlwaysOnTop

TaskbarAutoHide

TaskbarEdge

 Wallpaper properties

 Window management properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Desktop / Wallpaper )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

 Font properties

 Icon properties

 Keyboard properties

 Mouse properties

 Screen saver properties

 Task bar properties

 Wallpaper properties

DesktopPattern

DesktopWallPaper

StretchWallPaper

TileWallPaper

 Window management properties

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


Properties ( group / Desktop / Window management )
Properties

Methods                                 Events

 Desktop properties

 Dimensions

 Font properties

 Icon properties

 Keyboard properties

 Mouse properties

 Screen saver properties

 Task bar properties

 Wallpaper properties

 Window management properties

AnimationEnabled

DragFullWindow

MenuDropRightAlign

MenuShowDelay

MinimizeArrangeStyle

 Graphics properties

 Machine properties

 Network properties

 Operating System properties

 Peripheral device properties

 Power Status properties

 System resources properties

 Time Zone properties

 User properties


The Property

The Property

The Property

The Property

The Property

The Property

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject


NetworkPresent Property

WindowsUserName Property

MachineName Property

RegisteredOrganization Property

Properties by subject


WinVersion Property

WinMajorVersion Property

WinMinorVersion Property

PenWindows Property

DebugVersion Property

MiddleEastWindows Property

PlusInstalled Property

Threads Property

TotalVirtualMemory Property

VirtualMachines Property

Properties by subject


WinMajorVersion Property

WinMinorVersion Property

WindowsPlatform Property

PlusVersion Property

PenWindows Property

DebugVersion Property

MiddleEastWindows Property

Properties by subject


WinMajorVersion Property

WinVersion Property

WindowsPlatform Property

PenWindows Property

DebugVersion Property

MiddleEastWindows Property

Properties by subject


WinMinorVersion Property

WinVersion Property

WindowsPlatform Property

PenWindows Property

DebugVersion Property

MiddleEastWindows Property

Properties by subject


ProcessorRevision Property

ProcessorType Property

ProcessorUsagePercent Property

SlowMachine Property

BIOS Property

TotalPhysicalMemory Property

DisplayAdapter Property

MonitorType Property

KeyboardType Property

MouseType Property

VirtualMachines Property

WindowsPlatform Property

Properties by subject


NumberOfProcessors Property

ProcessorRevision Property

ProcessorType Property

ProcessorUsagePercent Property

SlowMachine Property

BIOS Property

TotalPhysicalMemory Property

DisplayAdapter Property

MonitorType Property

KeyboardType Property

MouseType Property

VirtualMachines Property

WindowsPlatform Property

Properties by subject


NumberOfProcessors Property

ProcessorType Property

ProcessorUsagePercent Property

SlowMachine Property

BIOS Property

TotalPhysicalMemory Property

DisplayAdapter Property

MonitorType Property

KeyboardType Property

MouseType Property

VirtualMachines Property

WindowsPlatform Property

Properties by subject


NumberOfProcessors Property

ProcessorName Property

ProcessorRevision Property

ProcessorUsagePercent Property

SlowMachine Property

BIOS Property

TotalPhysicalMemory Property

DisplayAdapter Property

MonitorType Property

KeyboardType Property

MouseType Property

WindowsPlatform Property

VirtualMachines Property

Properties by subject


WinVersion Property

WinMajorVersion Property

WinMinorVersion Property

WindowsPlatform Property

Language Property

AnsiCodePage Property

OemCodePage Property

KeyboardLayout Property

PenWindows Property

DebugVersion Property

Properties by subject


WinVersion Property

WinMajorVersion Property

WinMinorVersion Property

WindowsPlatform Property

DebugVersion Property

MiddleEastWindows Property

Properties by subject


WinVersion Property

WinMajorVersion Property

WinMinorVersion Property

WindowsPlatform Property

PenWindows Property

FileSystem Property

Security Property

Properties by subject


BIOS Property

MemoryUtilization Property

ProcessorType Property

ProcessorUsagePercent Property

TotalPhysicalMemory Property

DisplayAdapter Property

WindowsPlatform Property

Properties by subject


NetworkUserName Property

WindowsUserName Property

MachineName Property

RemoteDrivesNumber Property

Security Property

Properties by subject


DebugVersion Property

FileSystem Property

UnicodeFileName Property

WindowsPlatform Property

WinMajorVersion Property

WinMinorVersion Property

NetworkPresent Property

Properties by subject


RegisteredOrganization Property

PlusVersion Property

WindowsUserName Property

WindowsPlatform Property

WinVersion Property

WinMajorVersion Property

WinMinorVersion Property

WindowsDirectory Property

PenWindows Property

DebugVersion Property

Properties by subject


WindowsStartupTime Property

MachineName Property

TotalPhysicalMemory Property

FileSystem Property

WindowsPlatform Property

NetworkPresent Property

Properties by subject

Reboot Method


ProductID Property

PlusVersion Property

WindowsUserName Property

WindowsPlatform Property

WinVersion Property

Properties by subject


NetworkPresent Property

NetworkUserName Property

MachineName Property

RegisteredOrganization Property

ProductID Property

WindowsPlatform Property

WinVersion Property

Security Property

Properties by subject

LogOff Method


NetworkPresent Property

NetworkUserName Property

ProcessorType Property

SlowMachine Property

TotalPhysicalMemory Property

WinVersion Property

Security Property

Properties by subject


KeyBoardDelay Property

KeyboardSpeed Property

KeyboardLayout Property

KeyboardType Property

MouseType Property

CapsLockOn Property

NumLockOn Property

ScrollLockOn Property

AnsiCodePage Property

OemCodePage Property

PenWindows Property

Properties by subject


MouseTrails Property

MouseType Property

SwapMouseButtons Property

DoubleClickTime Property

KeyboardType Property

PenWindows Property

Properties by subject


BitsPerPixel Property

HorizontalResolution Property

VerticalResolution Property

DisplayAdapter Property

DisplayAdapterVersion Property

MaxHorizontalResolution Property

MaxVerticalResolution Property

MonitorType Property

EnergyStarMonitor Property

Properties by subject

DisplayChanged Event

SysColorsChanged Event


MaxColorResolution Property

HorizontalResolution Property

VerticalResolution Property

DisplayAdapter Property

DisplayAdapterVersion Property

MonitorType Property

EnergyStarMonitor Property

Properties by subject

DisplayChanged Event

SysColorsChanged Event


MaxVerticalResolution Property

MaxHorizontalResolution Property

HorizontalResolution Property

MaxColorResolution Property

BitsPerPixel Property

DisplayAdapter Property

DisplayAdapterVersion Property

MonitorType Property

EnergyStarMonitor Property

Properties by subject


MaxHorizontalResolution Property

MaxVerticalResolution Property

VerticalResolution Property

MaxColorResolution Property

BitsPerPixel Property

DisplayAdapter Property

DisplayAdapterVersion Property

MonitorType Property

EnergyStarMonitor Property

Properties by subject


LowPowerActive Property

LowPowerTimeOut Property

PowerOffActive Property

ScreenSaverActive Property

ScreenSaver Property

ScreenSaverTimeOut Property

EnergyStarMonitor Property

BatteryStatus Property

Properties by subject


LowPowerActive Property

LowPowerTimeOut Property

PowerOffTimeOut Property

ScreenSaverActive Property

ScreenSaver Property

ScreenSaverTimeOut Property

EnergyStarMonitor Property

BatteryStatus Property

Properties by subject


CursorBlinkTime Property

KeyBoardDelay Property

KeyboardLayout Property

KeyboardType Property

MouseType Property

CapsLockOn Property

NumLockOn Property

ScrollLockOn Property

Properties by subject


LowPowerActive Property

PowerOffActive Property

PowerOffTimeOut Property

ScreenSaverActive Property

ScreenSaver Property

ScreenSaverTimeOut Property

EnergyStarMonitor Property

BatteryStatus Property

Properties by subject


LowPowerTimeOut Property

PowerOffActive Property

PowerOffTimeOut Property

ScreenSaverActive Property

ScreenSaver Property

ScreenSaverTimeOut Property

EnergyStarMonitor Property

BatteryStatus Property

Properties by subject


CursorBlinkTime Property

KeyboardLayout Property

KeyboardSpeed Property

KeyboardType Property

MouseType Property

CapsLockOn Property

NumLockOn Property

ScrollLockOn Property

Properties by subject


HorizontalIconSpacing Property

IconsUsingAllColors Property

IconTitleFont Property

IconTitleWrap Property

IconType Property

WorkAreaHeight Property

VerticalResolution Property

BitsPerPixel Property

Properties by subject


IconsUsingAllColors Property

IconTitleFont Property

IconTitleWrap Property

IconType Property

VerticalIconSpacing Property

WorkAreaWidth Property

HorizontalResolution Property

BitsPerPixel Property

Properties by subject


WorkAreaHeight Property

WorkAreaWidth Property

DesktopWallPaper Property

Properties by subject


DesktopPattern Property

DesktopWallPaper Property

TileWallPaper Property

BitsPerPixel Property

PlusInstalled Property

ScreenSaver Property

HorizontalResolution Property

VerticalResolution Property

WorkAreaHeight Property

WorkAreaWidth Property

Properties by subject


DesktopPattern Property

DesktopWallPaper Property

StretchWallPaper Property

BitsPerPixel Property

ScreenSaver Property

HorizontalResolution Property

VerticalResolution Property

WorkAreaHeight Property

WorkAreaWidth Property

Properties by subject


CaptionFont Property

IconTitleFont Property

MenuFont Property

MessageFont Property

PlusInstalled Property

SmallCaptionFont Property

StatusFont Property

Properties by subject


Shell Property

WindowsStartupTime Property

WinVersion Property

BootType Property


LowPowerActive Property

LowPowerTimeOut Property

PowerOffActive Property

PowerOffTimeOut Property

ScreenSaver Property

ScreenSaverTimeOut Property

EnergyStarMonitor Property

BatteryStatus Property

Properties by subject


ScreenSaverActive Property

ScreenSaver Property

LowPowerActive Property

LowPowerTimeOut Property

PowerOffActive Property

PowerOffTimeOut Property

Properties by subject


CaptionFont Property

IconTitleFont Property

MenuFont Property

SmallCaptionFont Property

StatusFont Property

FontSmoothing Property

Properties by subject


CaptionFont Property

IconTitleFont Property

MenuFont Property

MessageFont Property

SmallCaptionFont Property

FontSmoothing Property

Properties by subject


MenuHeight Property

MenuWidth Property

MenuDropRightAlign Property

CaptionFont Property

IconTitleFont Property

MessageFont Property

SmallCaptionFont Property

StatusFont Property

FontSmoothing Property

Properties by subject


CaptionHeight Property

CaptionWidth Property

DragFullWindow Property

IconTitleFont Property

MenuFont Property

MessageFont Property

SmallCaptionFont Property

StatusFont Property

FontSmoothing Property

Properties by subject


SmallCaptionHeight Property

SmallCaptionWidth Property

CaptionFont Property

IconTitleFont Property

MenuFont Property

MessageFont Property

StatusFont Property

FontSmoothing Property

Properties by subject


IconsUsingAllColors Property

IconTitleWrap Property

IconType Property

HorizontalIconSpacing Property

VerticalIconSpacing Property

CaptionFont Property

MenuFont Property

MessageFont Property

SmallCaptionFont Property

StatusFont Property

FontSmoothing Property

Properties by subject


MenuWidth Property

MenuFont Property

CaptionHeight Property

ScrollBarHeight Property

SmallCaptionHeight Property

WorkAreaHeight Property

VerticalResolution Property

Properties by subject


MenuHeight Property

MenuFont Property

BorderWidth Property

CaptionWidth Property

MinimizedWinWidth Property

ScrollBarWidth Property

SmallCaptionWidth Property

WorkAreaWidth Property

HorizontalResolution Property

Properties by subject


SmallCaptionWidth Property

SmallCaptionFont Property

CaptionHeight Property

MenuHeight Property

ScrollBarHeight Property

WorkAreaHeight Property

VerticalResolution Property

Properties by subject


SmallCaptionHeight Property

SmallCaptionFont Property

BorderWidth Property

CaptionWidth Property

MenuWidth Property

MinimizedWinWidth Property

ScrollBarWidth Property

WorkAreaWidth Property

HorizontalResolution Property

Properties by subject


CaptionWidth Property

CaptionFont Property

MenuHeight Property

ScrollBarHeight Property

SmallCaptionHeight Property

WorkAreaHeight Property

VerticalResolution Property

Properties by subject


CaptionHeight Property

CaptionFont Property

BorderWidth Property

MenuWidth Property

MinimizedWinWidth Property

ScrollBarWidth Property

SmallCaptionWidth Property

WorkAreaWidth Property

HorizontalResolution Property

Properties by subject


ScrollBarHeight Property

BorderWidth Property

CaptionWidth Property

MenuWidth Property

MinimizedWinWidth Property

SmallCaptionWidth Property

WorkAreaWidth Property

HorizontalResolution Property

Properties by subject


ScrollBarWidth Property

CaptionHeight Property

MenuHeight Property

SmallCaptionHeight Property

WorkAreaHeight Property

VerticalResolution Property

Properties by subject


CaptionWidth Property

MenuWidth Property

MinimizedWinWidth Property

ScrollBarWidth Property

SmallCaptionWidth Property

WorkAreaWidth Property

HorizontalResolution Property

Properties by subject


MinimizedHorizontalGap Property

MinimizedVerticalGap Property

MinimizedWinWidth Property

AnimationEnabled Property

DragFullWindow Property

Properties by subject


MinimizedHorizontalGap Property

MinimizeArrangeStyle Property

AnimationEnabled Property

CaptionHeight Property

SmallCaptionHeight Property

WorkAreaHeight Property

VerticalResolution Property

Properties by subject


MinimizedVerticalGap Property

MinimizeArrangeStyle Property

AnimationEnabled Property

CaptionWidth Property

SmallCaptionWidth Property

WorkAreaWidth Property

HorizontalResolution Property

Properties by subject


MinimizedVerticalGap Property

MinimizeArrangeStyle Property

AnimationEnabled Property

CaptionFont Property

SmallCaptionFont Property

BorderWidth Property

CaptionWidth Property

SmallCaptionWidth Property

WorkAreaWidth Property

HorizontalResolution Property

Properties by subject


MenuFont Property

MenuHeight Property

MenuShowDelay Property

MenuWidth Property

DragFullWindow Property

Properties by subject


MenuDropRightAlign Property

MenuFont Property

MenuHeight Property

MenuWidth Property

DragFullWindow Property

Properties by subject


IconsUsingAllColors Property

IconTitleFont Property

IconType Property

HorizontalIconSpacing Property

VerticalIconSpacing Property

BitsPerPixel Property

Properties by subject


WinVersion Property

Shell Property

DebugVersion Property

Properties by subject


AnimationEnabled Property

DisplayAdapter Property

PlusInstalled Property

SlowMachine Property

Properties by subject


DesktopPattern Property

StretchWallPaper Property

TileWallPaper Property

BitsPerPixel Property

ScreenSaver Property

HorizontalResolution Property

VerticalResolution Property

WorkAreaHeight Property

WorkAreaWidth Property

Properties by subject


DesktopWallPaper Property

StretchWallPaper Property

TileWallPaper Property

BitsPerPixel Property

ScreenSaver Property

HorizontalResolution Property

VerticalResolution Property

WorkAreaHeight Property

WorkAreaWidth Property

Properties by subject


BorderWidth Property

WorkAreaHeight Property

WorkAreaWidth Property

HorizontalResolution Property

VerticalResolution Property

Properties by subject


SoundDevice Property

Properties by subject


DragFullWindow Property

MenuDropRightAlign Property

CaptionHeight Property

SmallCaptionHeight Property

SlowMachine Property

Properties by subject


IconTitleFont Property

IconTitleWrap Property

IconType Property

HorizontalIconSpacing Property

PlusInstalled Property

VerticalIconSpacing Property

BitsPerPixel Property

Properties by subject


IconsUsingAllColors Property

IconTitleFont Property

IconTitleWrap Property

HorizontalIconSpacing Property

VerticalIconSpacing Property

VerticalResolution Property

HorizontalResolution Property

Properties by subject


CdDrivesNumber Property

FloppyDrivesNumber Property

RamDrivesNumber Property

RemoteDrivesNumber Property

DiskCacheSize Property

FileSystem Property

ProcessorType Property

TotalPhysicalMemory Property

Properties by subject


CdDrivesNumber Property

HardDrivesNumber Property

RamDrivesNumber Property

RemoteDrivesNumber Property

FileSystem Property

ProcessorType Property

TotalPhysicalMemory Property

Properties by subject


FloppyDrivesNumber Property

HardDrivesNumber Property

RamDrivesNumber Property

RemoteDrivesNumber Property

FileSystem Property

ProcessorType Property

TotalPhysicalMemory Property

Properties by subject


CdDrivesNumber Property

FloppyDrivesNumber Property

HardDrivesNumber Property

RemoteDrivesNumber Property

ProcessorType Property

FileSystem Property

FreePhysicalMemory Property

SwapFileSize Property

TotalPhysicalMemory Property

DisplayAdapter Property

Properties by subject


CdDrivesNumber Property

FloppyDrivesNumber Property

HardDrivesNumber Property

RamDrivesNumber Property

NetworkPresent Property

NetworkUserName Property

FileSystem Property

Security Property

TotalPhysicalMemory Property

Properties by subject


CasePreservedFileName Property

CaseSensitiveFileName Property

FileSystem Property

MaxFileNameLength Property

Security Property

UnicodeFileName Property

WindowsPlatform Property

WinVersion Property

Properties by subject


FileSystem Property

CasePreservedFileName Property

CaseSensitiveFileName Property

FileCompressSupport Property

Language Property

MaxFileNameLength Property

Security Property

WindowsPlatform Property

WinVersion Property

Properties by subject


FileSystem Property

CasePreservedFileName Property

CaseSensitiveFileName Property

FileCompressSupport Property

Language Property

Security Property

UnicodeFileName Property

WindowsPlatform Property

WinVersion Property

Properties by subject


CasePreservedFileName Property

CaseSensitiveFileName Property

DiskCacheSize Property

FileCompressSupport Property

Language Property

MaxFileNameLength Property

NetworkPresent Property

Security Property

SwapFileSize Property

UnicodeFileName Property

WindowsDirectory Property

WindowsPlatform Property

WinVersion Property

HardDrivesNumber Property

Properties by subject


CasePreservedFileName Property

FileCompressSupport Property

FileSystem Property

MaxFileNameLength Property

Security Property

UnicodeFileName Property

WindowsPlatform Property

WinVersion Property

Properties by subject


FreePhysicalMemory Property

AllocatedMemorySize Property

LockedMemorySize Property

MemoryUtilization Property

ProcessorType Property

RamDrivesNumber Property

SwapFileSize Property

TotalVirtualMemory Property

DisplayAdapter Property

WindowsUserName Property

RegisteredOrganization Property

Properties by subject


TotalPhysicalMemory Property

AllocatedMemorySize Property

FreeVirtualMemory Property

LockedMemorySize Property

MemoryUtilization Property

ProcessorType Property

RamDrivesNumber Property

SwapFileSize Property

DisplayAdapter Property

WindowsUserName Property

RegisteredOrganization Property

Properties by subject


DefaultPrinter Property

MidiDevice Property

NetworkAdapter Property

SoundDevice Property

Properties by subject


MidiDevice Property

DefaultPrinter Property

SCSIAdapter Property

BeepEnabled Property

Properties by subject


SoundDevice Property

DefaultPrinter Property

SCSIAdapter Property

BeepEnabled Property

Properties by subject


CursorBlinkTime Property

KeyBoardDelay Property

KeyboardSpeed Property

KeyboardType Property

AnsiCodePage Property

OemCodePage Property

CapsLockOn Property

NumLockOn Property

ScrollLockOn Property

Language Property

MouseType Property

Properties by subject


OemCodePage Property

KeyboardLayout Property

KeyboardType Property

Language Property

MiddleEastWindows Property

LocalTimeName Property

TimeZone Property

Properties by subject


AnsiCodePage Property

KeyboardLayout Property

KeyboardType Property

Language Property

MiddleEastWindows Property

LocalTimeName Property

TimeZone Property

Properties by subject


AnsiCodePage Property

OemCodePage Property

KeyboardLayout Property

MiddleEastWindows Property

LocalTimeName Property

TimeZone Property

PenWindows Property

WindowsPlatform Property

WinVersion Property

Properties by subject


MouseButtons Property

MouseTrails Property

MouseType Property

SwapMouseButtons Property

KeyboardType Property

PenWindows Property

Properties by subject


CaseSensitiveFileName Property

FileCompressSupport Property

FileSystem Property

MaxFileNameLength Property

Security Property

UnicodeFileName Property

WindowsPlatform Property

WinVersion Property

Properties by subject


FreePhysicalMemory Property

MaxSwapFileSize Property

SwapFileInUse Property

TotalPhysicalMemory Property

ProcessorType Property

WindowsDirectory Property

WindowsPlatform Property

WinVersion Property

Properties by subject


FreePhysicalMemory Property

SwapFileInUse Property

SwapFileSize Property

TotalPhysicalMemory Property

ProcessorType Property

WindowsDirectory Property

WindowsPlatform Property

WinVersion Property

Properties by subject


TempDirectory Property

COMSPEC Property

FileSystem Property

HardDrivesNumber Property

MaxFileNameLength Property

NetworkPresent Property

PATH Property

Shell Property

UnicodeFileName Property

WindowsPlatform Property

WinVersion Property

Properties by subject


WindowsDirectory Property

FileSystem Property

HardDrivesNumber Property

MaxFileNameLength Property

NetworkPresent Property

PATH Property

Shell Property

UnicodeFileName Property

WindowsPlatform Property

WinVersion Property

Properties by subject


DoubleClickTime Property

MouseButtons Property

MouseTrails Property

MouseType Property

KeyboardType Property

PenWindows Property

Properties by subject


BIOS Property

BitsPerPixel Property

DisplayAdapterVersion Property

EnergyStarMonitor Property

InterlacedDisplay Property

HorizontalResolution Property

MaxColorResolution Property

MaxHorizontalResolution Property

MaxVerticalResolution Property

MonitorType Property

TotalPhysicalMemory Property

VerticalResolution Property

Properties by subject


BIOS Property

BitsPerPixel Property

DisplayAdapter Property

EnergyStarMonitor Property

HorizontalResolution Property

MaxColorResolution Property

MonitorType Property

VerticalResolution Property

Properties by subject


BitsPerPixel Property

DisplayAdapter Property

DisplayAdapterVersion Property

DisplayFrequency Property

EnergyStarMonitor Property

HorizontalResolution Property

InterlacedDisplay Property

MaxColorResolution Property

MaxHorizontalResolution Property

MaxVerticalResolution Property

VerticalResolution Property

Properties by subject


LowPowerActive Property

PowerOffActive Property

BitsPerPixel Property

DisplayAdapter Property

DisplayAdapterVersion Property

HorizontalResolution Property

MaxColorResolution Property

MonitorType Property

VerticalResolution Property

Properties by subject


CursorBlinkTime Property

KeyBoardDelay Property

KeyboardLayout Property

KeyboardSpeed Property

MouseType Property

CapsLockOn Property

NumLockOn Property

ScrollLockOn Property

AnsiCodePage Property

OemCodePage Property

Language Property

Properties by subject


DoubleClickTime Property

MouseButtons Property

MouseTrails Property

MouseType Property

SwapMouseButtons Property

KeyboardType Property

PenWindows Property

Properties by subject


KeyboardType Property

MouseType Property

MidiDevice Property

SoundDevice Property

MonitorType Property

Properties by subject


DoubleClickTime Property

MouseButtons Property

MouseType Property

SwapMouseButtons Property

KeyboardType Property

PenWindows Property

Properties by subject


LocalTimeMinusGMT Property

LocalTimeName Property

WindowsStartupTime Property

Language Property

Properties by subject


LocalTimeMinusGMT Property

TimeZone Property

WindowsStartupTime Property

Language Property

AnsiCodePage Property

OemCodePage Property

Properties by subject


BatteryFullTime Property

BatteryLifePercent Property

BatteryLifeTime Property

BatteryStatus Property

EnergyStarMonitor Property

LowPowerTimeOut Property

PowerOffTimeOut Property

WindowsStartupTime Property

Properties by subject


ACStatus Property

BatteryFullTime Property

BatteryLifePercent Property

BatteryLifeTime Property

EnergyStarMonitor Property

LowPowerTimeOut Property

PowerOffTimeOut Property

WindowsStartupTime Property

Properties by subject


ACStatus Property

BatteryFullTime Property

BatteryLifeTime Property

BatteryStatus Property

EnergyStarMonitor Property

LowPowerTimeOut Property

PowerOffTimeOut Property

WindowsStartupTime Property

Properties by subject


ACStatus Property

BatteryLifePercent Property

BatteryLifeTime Property

BatteryStatus Property

EnergyStarMonitor Property

LowPowerTimeOut Property

PowerOffTimeOut Property

WindowsStartupTime Property

Properties by subject


ACStatus Property

BatteryFullTime Property

BatteryLifePercent Property

BatteryStatus Property

EnergyStarMonitor Property

LowPowerTimeOut Property

PowerOffTimeOut Property

WindowsStartupTime Property

Properties by subject


WorkAreaHeight Property

WorkAreaTop Property

WorkAreaWidth Property

HorizontalResolution Property

VerticalResolution Property

TaskbarAlwaysOnTop Property

TaskbarAutoHide Property

Properties by subject


WorkAreaHeight Property

WorkAreaLeft Property

WorkAreaWidth Property

HorizontalResolution Property

VerticalResolution Property

TaskbarAlwaysOnTop Property

TaskbarAutoHide Property

Properties by subject


WorkAreaHeight Property

WorkAreaLeft Property

WorkAreaTop Property

HorizontalResolution Property

VerticalResolution Property

TaskbarAlwaysOnTop Property

TaskbarAutoHide Property

Properties by subject


WorkAreaLeft Property

WorkAreaTop Property

WorkAreaWidth Property

HorizontalResolution Property

VerticalResolution Property

TaskbarAlwaysOnTop Property

TaskbarAutoHide Property

Properties by subject


DebugVersion Property

FileSystem Property

MiddleEastWindows Property

PlusInstalled Property

PenWindows Property

ProductID Property

WindowsPlatform Property

WindowsStartupTime Property

WinVersion Property

Properties by subject


LowPowerActive Property

LowPowerTimeOut Property

PowerOffActive Property

PowerOffTimeOut Property

ScreenSaverActive Property

ScreenSaverTimeOut Property

EnergyStarMonitor Property

BatteryStatus Property

Properties by subject


The Property

The Property

The Property

The Property

The Property

The Property

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject


TaskbarAlwaysOnTop Property

WorkAreaHeight Property

WorkAreaLeft Property

WorkAreaTop Property

WorkAreaWidth Property

HorizontalResolution Property

VerticalResolution Property

WinVersion Property

Properties by subject


TaskbarAutoHide Property

WorkAreaHeight Property

WorkAreaLeft Property

WorkAreaTop Property

WorkAreaWidth Property

HorizontalResolution Property

VerticalResolution Property

WinVersion Property

Properties by subject


TaskbarAlwaysOnTop Property

TaskbarAutoHide Property

WorkAreaHeight Property

WorkAreaLeft Property

WorkAreaTop Property

WorkAreaWidth Property

HorizontalResolution Property

VerticalResolution Property

WinVersion Property

Properties by subject


The Property

The Property

The Property

The Property

The Property

The Property

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject

Properties by subject


NumLockOn Property

ScrollLockOn Property

CursorBlinkTime Property

KeyBoardDelay Property

KeyboardLayout Property

KeyboardSpeed Property

KeyboardType Property

Properties by subject


CapsLockOn Property

ScrollLockOn Property

CursorBlinkTime Property

KeyBoardDelay Property

KeyboardLayout Property

KeyboardSpeed Property

KeyboardType Property

Properties by subject


CapsLockOn Property

NumLockOn Property

CursorBlinkTime Property

KeyBoardDelay Property

KeyboardLayout Property

KeyboardSpeed Property

KeyboardType Property

Properties by subject


LocalTimeName Property

TimeZone Property

WindowsStartupTime Property

Language Property

Properties by subject


LocalTimeMinusGMT Property

LocalTimeName Property

TimeZone Property

Language Property

BootType Property

ProductID Property

Shell Property

WindowsDirectory Property

WindowsPlatform Property

WindowsUserName Property

WinVersion Property

Properties by subject


AutoRun Method

AutoRunOnce Method

EmptyDocumentList Method

LogOff Method

PowerOff Method

Reboot Method

RestartInDosMode Method

RunControlPanel Method

ShutDown Method

Suspend Method

ScreenSaver Property

ScreenSaverActive Property


ActiveScreenSaver Method

AutoRunOnce Method

EmptyDocumentList Method

LogOff Method

PowerOff Method

Reboot Method

RestartInDosMode Method

RunControlPanel Method

ShutDown Method

Suspend Method

BootType Property

WindowsDirectory Property


ActiveScreenSaver Method

AutoRun Method

EmptyDocumentList Method

LogOff Method

PowerOff Method

Reboot Method

RestartInDosMode Method

RunControlPanel Method

ShutDown Method

Suspend Method

BootType Property

WindowsDirectory Property


ActiveScreenSaver Method

AutoRun Method

AutoRunOnce Method

LogOff Method

PowerOff Method

Reboot Method

RestartInDosMode Method

RunControlPanel Method

ShutDown Method

Suspend Method

TaskbarAutoHide Property

WinVersion Property


ActiveScreenSaver Method

AutoRun Method

AutoRunOnce Method

EmptyDocumentList Method

PowerOff Method

Reboot Method

RestartInDosMode Method

RunControlPanel Method

ShutDown Method

Suspend Method

WindowsUserName Property

Security Property

UserChanged Event


ActiveScreenSaver Method

AutoRun Method

AutoRunOnce Method

EmptyDocumentList Method

LogOff Method

Reboot Method

RestartInDosMode Method

RunControlPanel Method

ShutDown Method

Suspend Method

BatteryStatus Property

Security Property

WindowsStartupTime Property

WindowsUserName Property

PowerBatteryLow Event

PowerSuspend Event


ActiveScreenSaver Method

AutoRun Method

AutoRunOnce Method

EmptyDocumentList Method

LogOff Method

PowerOff Method

RestartInDosMode Method

RunControlPanel Method

ShutDown Method

Suspend Method

BootType Property

Security Property

WindowsStartupTime Property


ActiveScreenSaver Method

AutoRun Method

AutoRunOnce Method

EmptyDocumentList Method

LogOff Method

PowerOff Method

Reboot Method

RestartInDosMode Method

RunControlPanel Method

Suspend Method

BatteryStatus Property

Security Property

WindowsStartupTime Property


ActiveScreenSaver Method

AutoRun Method

AutoRunOnce Method

EmptyDocumentList Method

LogOff Method

PowerOff Method

Reboot Method

RunControlPanel Method

ShutDown Method

Suspend Method

COMSPEC Property

WindowsStartupTime Property

WindowsUserName Property


ActiveScreenSaver Method

AutoRun Method

AutoRunOnce Method

EmptyDocumentList Method

LogOff Method

PowerOff Method

Reboot Method

RestartInDosMode Method

RunControlPanel Method

ShutDown Method

BatteryStatus Property

EnergyStarMonitor Property


ActiveScreenSaver Method

AutoRun Method

AutoRunOnce Method

EmptyDocumentList Method

LogOff Method

PowerOff Method

Reboot Method

RestartInDosMode Method

ShutDown Method

Suspend Method


BitsPerPixel Property

DisplayAdapter Property

HorizontalResolution Property

MonitorType Property

VerticalResolution Property

InputLanguageChanged Event

PaletteChanged Event

SysColorsChanged Event

TimeChanged Event

UserChanged Event


DisplayChanged Event

PaletteChanged Event

PowerBatteryLow Event

PowerQuerySuspend Event

PowerResume Event

PowerStatusChanged Event

PowerSuspend Event

SysColorsChanged Event

TimeChanged Event

UserChanged Event

AnsiCodePage Property

KeyboardLayout Property

MiddleEastWindows Property

OemCodePage Property

Language Property


DisplayChanged Event

InputLanguageChanged Event

PowerBatteryLow Event

PowerQuerySuspend Event

PowerResume Event

PowerStatusChanged Event

PowerSuspend Event

SysColorsChanged Event

TimeChanged Event

UserChanged Event

BitsPerPixel Property

DisplayAdapter Property


DisplayChanged Event

InputLanguageChanged Event

PaletteChanged Event

PowerQuerySuspend Event

PowerResume Event

PowerStatusChanged Event

PowerSuspend Event

SysColorsChanged Event

TimeChanged Event

UserChanged Event

BatteryLifePercent Property

BatteryLifeTime Property

BatteryFullTime Property

BatteryStatus Property

WindowsStartupTime Property


DisplayChanged Event

InputLanguageChanged Event

PaletteChanged Event

PowerBatteryLow Event

PowerResume Event

PowerStatusChanged Event

PowerSuspend Event

SysColorsChanged Event

TimeChanged Event

UserChanged Event

ACStatus Property

BatteryLifeTime Property

BatteryStatus Property

WindowsStartupTime Property


DisplayChanged Event

InputLanguageChanged Event

PaletteChanged Event

PowerBatteryLow Event

PowerQuerySuspend Event

PowerStatusChanged Event

PowerSuspend Event

SysColorsChanged Event

TimeChanged Event

UserChanged Event

ACStatus Property

BatteryLifeTime Property

BatteryStatus Property

WindowsStartupTime Property


DisplayChanged Event

InputLanguageChanged Event

PaletteChanged Event

PowerBatteryLow Event

PowerQuerySuspend Event

PowerResume Event

PowerSuspend Event

SysColorsChanged Event

TimeChanged Event

UserChanged Event

ACStatus Property

BatteryLifePercent Property

BatteryLifeTime Property

BatteryStatus Property

WindowsStartupTime Property


DisplayChanged Event

InputLanguageChanged Event

PaletteChanged Event

PowerBatteryLow Event

PowerQuerySuspend Event

PowerResume Event

PowerStatusChanged Event

SysColorsChanged Event

TimeChanged Event

UserChanged Event

ACStatus Property

BatteryLifeTime Property

BatteryStatus Property

WindowsStartupTime Property


DisplayChanged Event

InputLanguageChanged Event

PaletteChanged Event

PowerBatteryLow Event

PowerQuerySuspend Event

PowerResume Event

PowerStatusChanged Event

PowerSuspend Event

TimeChanged Event

UserChanged Event

BitsPerPixel Property

DisplayAdapter Property


DisplayChanged Event

InputLanguageChanged Event

PaletteChanged Event

PowerBatteryLow Event

PowerQuerySuspend Event

PowerResume Event

PowerStatusChanged Event

PowerSuspend Event

SysColorsChanged Event

UserChanged Event

LocalTimeMinusGMT Property

LocalTimeName Property

TimeZone Property

WindowsStartupTime Property


DisplayChanged Event

InputLanguageChanged Event

PaletteChanged Event

PowerBatteryLow Event

PowerQuerySuspend Event

PowerResume Event

PowerStatusChanged Event

PowerSuspend Event

SysColorsChanged Event

TimeChanged Event

Security Property

WindowsUserName Property

LogOff Method


COMSPEC Property

TempDirectory Property

WindowsDirectory Property

FileSystem Property

HardDrivesNumber Property

MaxFileNameLength Property

NetworkPresent Property

Shell Property

UnicodeFileName Property

WindowsPlatform Property

WinVersion Property

Properties by subject


FileSystem Property

HardDrivesNumber Property

MaxFileNameLength Property

NetworkPresent Property

PATH Property

Shell Property

TempDirectory Property

UnicodeFileName Property

WindowsDirectory Property

WindowsPlatform Property

WinVersion Property

Properties by subject


ProcessorType Property

SlowMachine Property

TotalPhysicalMemory Property

DisplayAdapter Property

MonitorType Property

KeyboardType Property

MouseType Property

WindowsPlatform Property

Properties by subject


AllocatedMemorySize Property

FreePhysicalMemory Property

FreeVirtualMemory Property

LockedMemorySize Property

SwapFileInUse Property

SwapFileSize Property

Threads Property

TotalPhysicalMemory Property

VirtualMachines Property

Properties by subject


AllocatedMemorySize Property

FreePhysicalMemory Property

LockedMemorySize Property

SwapFileInUse Property

SwapFileSize Property

Threads Property

TotalPhysicalMemory Property

TotalVirtualMemory Property

VirtualMachines Property

Properties by subject


AllocatedMemorySize Property

MemoryUtilization Property

ProcessorType Property

SlowMachine Property

Threads Property

TotalPhysicalMemory Property

VirtualMachines Property

Properties by subject


AllocatedMemorySize Property

FreePhysicalMemory Property

FreeVirtualMemory Property

LockedMemorySize Property

ProcessorUsagePercent Property

SwapFileInUse Property

SwapFileSize Property

TotalPhysicalMemory Property

TotalVirtualMemory Property

VirtualMachines Property

Properties by subject


AllocatedMemorySize Property

DiskCacheSize Property

FreePhysicalMemory Property

FreeVirtualMemory Property

MemoryUtilization Property

ProcessorType Property

ProcessorUsagePercent Property

SlowMachine Property

SwapFileSize Property

Threads Property

TotalPhysicalMemory Property

Properties by subject


FreePhysicalMemory Property

FreeVirtualMemory Property

LockedMemorySize Property

MemoryUtilization Property

SwapFileInUse Property

SwapFileSize Property

TotalPhysicalMemory Property

Properties by subject


AllocatedMemorySize Property

DiskCacheSize Property

FreePhysicalMemory Property

FreeVirtualMemory Property

MemoryUtilization Property

ProcessorUsagePercent Property

SwapFileInUse Property

SwapFileSize Property

TotalPhysicalMemory Property

TotalVirtualMemory Property

Properties by subject


AllocatedMemorySize Property

FreePhysicalMemory Property

FreeVirtualMemory Property

LockedMemorySize Property

MaxDiskCacheSize Property

MinDiskCacheSize Property

SwapFileInUse Property

SwapFileSize Property

TotalPhysicalMemory Property

TotalVirtualMemory Property

Properties by subject


DiskCacheSize Property

MaxDiskCacheSize Property

MaxSwapFileSize Property

ProcessorUsagePercent Property

SlowMachine Property

SwapFileSize Property

Properties by subject


DiskCacheSize Property

MinDiskCacheSize Property

MaxSwapFileSize Property

ProcessorUsagePercent Property

SlowMachine Property

SwapFileSize Property

Properties by subject


AllocatedMemorySize Property

DiskCacheSize Property

FreePhysicalMemory Property

FreeVirtualMemory Property

LockedMemorySize Property

MaxSwapFileSize Property

MemoryUtilization Property

ProcessorUsagePercent Property

SwapFileSize Property

TotalPhysicalMemory Property

TotalVirtualMemory Property

Properties by subject


AllocatedMemorySize Property

FreePhysicalMemory Property

FreeVirtualMemory Property

LockedMemorySize Property

SwapFileInUse Property

SwapFileSize Property

TotalPhysicalMemory Property

Properties by subject


MaxHorizontalResolution Property

HorizontalResolution Property

VerticalResolution Property

MaxColorResolution Property

BitsPerPixel Property

DisplayAdapter Property

DisplayFrequency Property

EnergyStarMonitor Property

InterlacedDisplay Property

MonitorType Property

Properties by subject

DisplayChanged Event

SysColorsChanged Event


MaxVerticalResolution Property

HorizontalResolution Property

VerticalResolution Property

MaxColorResolution Property

BitsPerPixel Property

DisplayAdapter Property

DisplayFrequency Property

EnergyStarMonitor Property

InterlacedDisplay Property

MonitorType Property

Properties by subject

DisplayChanged Event

SysColorsChanged Event


BitsPerPixel Property

DisplayAdapter Property

DisplayFrequency Property

EnergyStarMonitor Property

HorizontalResolution Property

MonitorType Property

VerticalResolution Property

Properties by subject

DisplayChanged Event

SysColorsChanged Event


BitsPerPixel Property

DisplayAdapter Property

EnergyStarMonitor Property

HorizontalResolution Property

InterlacedDisplay Property

MonitorType Property

VerticalResolution Property

Properties by subject

DisplayChanged Event

SysColorsChanged Event


MailClient Property

TelnetClient Property

WebBrowser Property


FtpClient Property

TelnetClient Property

WebBrowser Property


FtpClient Property

MailClient Property

WebBrowser Property


FtpClient Property

MailClient Property

TelnetClient Property

PlusInstalled Property


NetworkUserName Property

Workgroup Property

WorkgroupComputerName Property

WorkgroupComputerDescription Property

SCSIAdapter Property

SoundDevice Property

Properties by subject


WorkgroupComputerName Property

WorkgroupComputerDescription Property

NetworkUserName Property

NetworkAdapter Property

Properties by subject


Workgroup Property

WorkgroupComputerDescription Property

NetworkAdapter Property

NetworkUserName Property

Properties by subject


Workgroup Property

WorkgroupComputerName Property

NetworkAdapter Property

NetworkUserName Property

Properties by subject


PlusVersion Property

DesktopWallPaper Property

DragFullWindow Property

FontSmoothing Property

IconsUsingAllColors Property

WinVersion Property

WindowsPlatform Property

PenWindows Property

Properties by subject


PlusInstalled Property

DesktopWallPaper Property

DragFullWindow Property

FontSmoothing Property

IconsUsingAllColors Property

WinVersion Property

WindowsPlatform Property

PenWindows Property

Properties by subject


Enabled Property Example

In this example, when a CommandButton is clicked it displays the [  ] . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the CommandButton.

Private Sub Command1_Click()

    If TuneIt1.BatteryLifeTime <> &HFFFFFFFF Then

        Dim str As String

        Dim i

        Command1.Caption = Str(TuneIt1.Enabled)

        TuneIt1.Enabled = 10

    Else

        MsgBox "Cannot determine [  ] ."

    End If

End Sub


NetworkUserName Property Example

In this example, when a CommandButton is clicked it displays the network user name . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the CommandButton.

Private Sub Command1_Click()

    If TuneIt1.NetworkPresent Then

        Command1.Caption = "User name = " + TuneIt1.NetworkUserName

    Else

        MsgBox "No network."

    End If

End Sub


WindowsPlatform Property Example

In this example, when a CommandButton is clicked it displays the Operating system name. To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the CommandButton.

Private Sub Command1_Click()

    Command1.Caption = “The Operating system is : “ + TuneIt1.WindowsPlatform

End Sub


WinVersion Property Example

This example displays the operating system name and version, in the Form caption. To try this example, put a TuneIt control on a Form.  Paste this code into the Load event of the Form. Then press F5 .

Private Sub Form_Load()

    Me.Caption = TuneIt1.WindowsPlatform + “,  ver.  ” + TuneIt1.WinVersion

End Sub


WinMinorVersion Property Example


WinMajorVersion Property Example


ProcessorName Property Example

This example displays the Microprocessor name . To try this example, put a TuneIt control and a Label control on a Form.  Paste this code fragment into the Load event of the Form . Then press F5 .

Private Sub Form_Load()

        Label1.Caption = TuneIt1.ProcessorName

End Sub


ProcessorType Property Example

In this example, when a CommandButton is clicked it checks the processor type. If the processor is a 386 or 486, it displays a message . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

    If TuneIt1.ProcessorType <= 486 Then

        MsgBox "Please upgrade your system to a faster processor."

    End If

End Sub


MiddleEastWindows Property Example


PenWindows Property Example


DebugVersion Property Example


SlowMachine Property Example

This example checks to see if the current computer is not a low speed machine, turns on a flag to show window contents while dragging. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code fragment into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

    If TuneIt1.SlowMachine Then

        TuneIt1.DragFullWindow = False

    Else

        TuneIt1.DragFullWindow = True

    End If

End Sub


NetworkPresent Property Example

In this example, when a CommandButton is clicked, it displays number of available remote drives. To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

    If TuneIt1.NetworkPresent Then

        MsgBox Cstr(TuneIt1.RemoteDrivesNumber) + " remote drives available."

    Else

        MsgBox "No network connection."

    End If

End Sub


Security Property Example


ProductID Property Example

This example displays the Windows product ID  and registered user. To try this example, put a TuneIt control and two Label controls on a Form.  Paste this code fragment into the Load event of the Form . Then press F5 .

Private Sub Form_Load()

    Label1.Caption = "Product ID : " + TuneIt1.ProductID

    Label2.Caption = "Registered to : "  + TuneIt1.WindowsUserName + ", " + TuneIt1.RegisteredOrganization

End Sub


BootType Property Example

This example displays the Windows boot type and time. To try this example, put a TuneIt control and two Label controls on a Form.  Paste this code fragment into the Load event of the Form . Then press F5 .

Private Sub Form_Load()

     Dim BootStr As String

     Select Case TuneIt1.BootType

            Case 0

                   BootStr = "Normal boot"

            Case 1

                   BootStr = "Safe boot"

            Case 2

                   BootStr = "Safe boot with network support"

     End Select

    Label1.Caption = "Boot type : " + BootStr

    Label2.Caption = "Boot Time : " + Cstr(TuneIt1.WindowsStartupTime)

End Sub


RegisteredOrganization Property Example

This example displays the Windows registered user and organization. Put a TuneIt control and two Label controls on a Form.  Paste this code into the Load event of the Form . Then press F5 to run.

Private Sub Form_Load()

    Label1.Caption = "This O.S. Registered to : "  + TuneIt1.WindowsUserName + ", " + TuneIt1.RegisteredOrganization

    Label2.Caption = "Product ID : " + TuneIt1.ProductID

End Sub


WindowsUserName Property Example

This example displays the Windows current user name and machine name. Put a TuneIt control and two Label controls on a Form.  Paste this code into the Load event of the Form . Then press F5 to run.

Private Sub Form_Load()

    Label1.Caption = "Windows current user : "  + TuneIt1.WindowsUserName

    Label2.Caption = "Machine name : " + TuneIt1.MachineName

End Sub


MachineName Property Example

This example displays the Windows current user name and machine name. Put a TuneIt control and two Label controls on a Form.  Paste this code into the Load event of the Form . Then press F5 to run.

Private Sub Form_Load()

    Label1.Caption = "Windows current user : "  + TuneIt1.WindowsUserName

    Label2.Caption = "Machine name : " + TuneIt1.MachineName

End Sub


CursorBlinkTime Property Example

In this example, when a CommandButton is clicked, it increases cursor (Caret) blink rate. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button. You can see its effect in a Textbox.

Private Sub Command1_Click()

   If TuneIt1.CursorBlinkTime > 100 Then

      TuneIt1.CursorBlinkTime = TuneIt1.CursorBlinkTime - 50

      Command1.Caption = "Cursor blink time :  " + CStr(TuneIt1.CursorBlinkTime) + " milliseconds"

   End If

End Sub


MouseButtons Property Example

In this example, when a CommandButton is clicked it displays number of mouse buttons. To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

    Dim OutputStr As String

    If TuneIt1.MouseButtons Then

        OutputStr = CStr(TuneIt1.MouseButtons) + " button mouse."

    Else

        OutputStr = "Mouse not installed."

    End If

    MsgBox OutputStr

End Sub


MaxColorResolution Property Example

This example displays the maximum color resolution of the graphics adapter and adapter name. Put a TuneIt control and two Label controls on a Form.  Paste this code into the Load event of the Form . Then press F5 to run.

Private Sub Form_Load()

    Label1.Caption = "Max. color resolution : "  + Cstr(TuneIt1.MaxColorResolution) + " bits   [ Total colors = " + Cstr(2 ^  TuneIt1.MaxColorResolution) + " ]"

    Label2.Caption = "Display adapter : " + TuneIt1.DisplayAdapter + " [ ver.  " + TuneIt1.DisplayAdapterVersion + " ]"

End Sub


BitsPerPixel Property Example

This example displays the current graphics mode. To run it, put a TuneIt control and a Label control on a Form.  Paste this code fragment into the Load event of the Form . Then press F5.

Private Sub Form_Load()

    Dim ModeStr As String

    ModeStr = "Graphics mode : "  + Cstr(TuneIt1.HorizontalResolution)

    ModeStr = ModeStr + "*" + Cstr(TuneIt1.VerticalResolution)

    ModeStr = ModeStr + "  [ "  + Cstr(2 ^ TuneIt1.BitsPerPixel) + " colors ]"

    Label1.Caption = ModeStr

End Sub


VerticalResolution Property Example

This example displays the current graphics mode including vertical and horizontal resolution. To try it, put a TuneIt control and a Label control on a Form.  Paste this code fragment into the Load event of the Form . Then press F5.

Private Sub Form_Load()

    Dim ModeStr As String

    ModeStr = "Graphics mode : "  + Cstr(TuneIt1.HorizontalResolution)

    ModeStr = ModeStr + "*" + Cstr(TuneIt1.VerticalResolution)

    ModeStr = ModeStr + "  [ "  + Cstr(2 ^ TuneIt1.BitsPerPixel) + " colors ]"

    Label1.Caption = ModeStr

End Sub


HorizontalResolution Property Example

This example displays the current graphics mode including vertical and horizontal resolution. To try it, put a TuneIt control and a Label control on a Form.  Paste this code fragment into the Load event of the Form . Then press F5.

Private Sub Form_Load()

    Dim ModeStr As String

    ModeStr = "Graphics mode : "  + Cstr(TuneIt1.HorizontalResolution)

    ModeStr = ModeStr + "*" + Cstr(TuneIt1.VerticalResolution)

    ModeStr = ModeStr + "  [ "  + Cstr(2 ^ TuneIt1.BitsPerPixel) + " colors ]"

    Label1.Caption = ModeStr

End Sub


PowerOffTimeOut Property Example

This example displays the monitor power-off time-out in seconds. Put a TuneIt control and a Label control on a Form.  Paste this code into the Load event of the Form . If the power saving feature of monitor is not enabled, the output is grayed. Press F5 to run it.

Private Sub Form_Load()

    Label1.Caption = "The monitor power-of time-out is :  "  + Cstr(TuneIt1.PowerOffTimeOut) + " seconds."

    Label1.Enabled = TuneIt1.PowerOffActive

End Sub


PowerOffActive Property Example

This example displays the monitor power-off time-out in seconds. Put a TuneIt control and a Label control on a Form.  Paste this code into the Load event of the Form . If the power saving feature of monitor is not Active, the output is grayed. Press F5 to run it.

Private Sub Form_Load()

    Label1.Caption = "The monitor power-of time-out is :  "  + Cstr(TuneIt1.PowerOffTimeOut) + " seconds."

    Label1.Enabled = TuneIt1.PowerOffActive

End Sub


KeyboardSpeed Property Example

In this example, when a CommandButton is clicked, it decreases the keyboard repeat rate until it reaches the lowest speed. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button. You can see its effect in a Textbox.

Private Sub Command1_Click()

   If TuneIt1.KeyboardSpeed > 0 Then

      TuneIt1.KeyboardSpeed = TuneIt1.KeyboardSpeed - 1

   End If

   Command1.Caption = "keyboard repeat rate :  " + CStr(TuneIt1.KeyboardSpeed)

End Sub


LowPowerTimeOut Property Example

This example displays the monitor standby time-out in seconds. Put a TuneIt control and a Label control on a Form.  Paste this code into the Load event of the Form . If the low-power standby feature of monitor is not enabled, the output is grayed. Press F5 to run it.

Private Sub Form_Load()

    Label1.Caption = "The monitor standby time-out is :  "  + Cstr(TuneIt1.LowPowerTimeOut) + " seconds."

    Label1.Enabled = TuneIt1.LowPowerActive

End Sub


LowPowerActive Property Example

This example displays the monitor standby time-out in seconds. Put a TuneIt control and a Label control on a Form.  Paste this code into the Load event of the Form . If the low-power standby feature of monitor is not enabled, the output is grayed. Press F5 to run it.

Private Sub Form_Load()

    Label1.Caption = "The monitor standby time-out is :  "  + Cstr(TuneIt1.LowPowerTimeOut) + " seconds."

    Label1.Enabled = TuneIt1.LowPowerActive

End Sub


KeyBoardDelay Property Example

In this example, when a CommandButton is clicked, it decreases the keyboard delay time. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button. You can see its effect in a Textbox.

Private Sub Command1_Click()

   TuneIt1.KeyBoardDelay = TuneIt1.KeyBoardDelay - 1

   Command1.Caption = "keyboard delay :  " + CStr(TuneIt1.KeyBoardDelay)

End Sub


VerticalIconSpacing Property Example


HorizontalIconSpacing Property Example

TuneIt1.HorizontalIconSpacing


GridGranularity Property Example


StretchWallPaper Property Example

In this example, when a CheckBox is clicked, it toggles the state of the wallpaper .If it is checked, the wallpaper will be stretched to cover the entire screen. To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.StretchWallPaper = Check1.Value

End Sub


TileWallPaper Property Example

In this example, when a CheckBox is clicked, it toggles the state of the wallpaper .If it is checked, the wallpaper will be tiled to cover the entire screen. To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.TileWallPaper = Check1.Value

End Sub


FontSmoothing Property Example


TipOfDayActive Property Example

In this example, the user can select whether to see the 'Tip of the Day' at the Windows startup. When a CheckBox is clicked, it toggles the 'TipOfDayActive' flag . To run this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code fragment into your code. Then press F5 and click it.

Private Sub Form_Load()

  Check1.Value = TuneIt1.TipOfDayActive

End Sub

Private Sub Check1_Click()

 TuneIt1.TipOfDayActive = Check1.Value

End Sub


ScreenSaverActive Property Example

This example displays the screen saver time-out in seconds. Put a TuneIt control and a Label control on a Form.  Paste this code into the Load event of the Form . If the screen saver is not enabled, the output is grayed. Press F5 to run it.

Private Sub Form_Load()

    Label1.Caption = "The screen saver time-out is :  "  + Cstr(TuneIt1.ScreenSaverTimeOut) + " seconds."

    Label1.Enabled = TuneIt1.ScreenSaverActive

End Sub


ScreenSaverTimeOut Property Example

This example displays the screen saver time-out in seconds. Put a TuneIt control and a Label control on a Form.  Paste this code into the Load event of the Form . If the screen saver is not enabled, the output is grayed. Press F5 to run it.

Private Sub Form_Load()

    Label1.Caption = "The screen saver time-out is :  "  + Cstr(TuneIt1.ScreenSaverTimeOut) + " seconds."

    Label1.Enabled = TuneIt1.ScreenSaverActive

End Sub


MessageFont Property Example

In this example, when a CheckBox is clicked, it toggles the message box font.If it is checked, the message box font would be Italic. To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.MessageFont.Italic = Check1.Value

   MsgBox "The font has been changed."

End Sub


StatusFont Property Example

In this example, when a CheckBox is clicked, it toggles the status bar font.If it is checked, the status bar font would be BOLD. To try this example, put a TuneIt control, a CheckBox and a Label control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.StatusFont.Bold = Check1.Value

   If Check1.Value Then

      Label1.Caption = "The status bar font is BOLD."

   Else

      Label1.Caption = "The status bar font is not bold."

   End If

End Sub


MenuFont Property Example

In this example, when a CheckBox is clicked, it toggles the menu font. If it is checked, the

menu font would become Italic. To try this example, put a TuneIt control, a CheckBox and a Label control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.MenuFont.Italic = Check1.Value

   Label1.Font.Italic = Check1.Value

   If Check1.Value Then

      Label1.Caption = "The menu font is Italic."

   Else

      Label1.Caption = "The menu font is not Italic."

   End If

End Sub


CaptionFont Property Example

In this example, when a CheckBox is clicked, it toggles the caption font. If it is checked, the

caption font would become Italic. To try this example, put a TuneIt control, a CheckBox and a Label control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.CaptionFont.Italic = Check1.Value

   Label1.Font.Italic = Check1.Value

   If Check1.Value Then

      Label1.Caption = "The caption font is Italic."

   Else

      Label1.Caption = "The caption font is not Italic."

   End If

End Sub


SmallCaptionFont Property Example

In this example, when a CheckBox is clicked, it toggles the small caption font. If it is checked, the

small caption font would become Italic. To try this example, put a TuneIt control, a CheckBox and a Label control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.SmallCaptionFont.Italic = Check1.Value

   Label1.Font.Italic = Check1.Value

   If Check1.Value Then

      Label1.Caption = "The small caption font is Italic."

   Else

      Label1.Caption = "The small caption font is not Italic."

   End If

End Sub


IconTitleFont Property Example

In this example, when a CheckBox is clicked, it toggles the icon title font. If it is checked, the icon title font would be BOLD. To try this example, put a TuneIt control, a CheckBox and a Label control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.IconTitleFont.Bold = Check1.Value

   If Check1.Value Then

      Label1.Caption = "The icon title font is BOLD."

   Else

      Label1.Caption = "The icon title font is not bold."

   End If

End Sub


MenuHeight Property Example

In this example, when a CommandButton is clicked it increases the menu bar Height . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

    If TuneIt1.MenuHeight < TuneIt1.WorkAreaHeight / 20 Then

       TuneIt1.MenuHeight = TuneIt1.MenuHeight + 24

    End If

    Command1.Caption = "Menu Height is : " + CStr(TuneIt1.MenuHeight)

End Sub


MenuWidth Property Example

In this example, when a CommandButton is clicked, it first increases the menu width, then restores it to the previouse value. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

    PrevWidth = TuneIt1.MenuWidth

    TuneIt1.MenuWidth = TuneIt1.CaptionWidth * 3 / 2

    MsgBox "L a r g e r  menu bar buttons!"

    TuneIt1.MenuWidth = PrevWidth

End Sub


SmallCaptionHeight Property Example

In this example, when a CommandButton is clicked, it first increases the small caption height, then restores its size to previouse value. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  TuneIt1.SmallCaptionHeight = TuneIt1.SmallCaptionHeight + 240

  MsgBox "See small captions ( for example Visual basic Project window or Debug window ) !"

  TuneIt1.SmallCaptionHeight = TuneIt1.SmallCaptionHeight - 240

End Sub


SmallCaptionWidth Property Example

In this example, when a CommandButton is clicked, it first increases the small caption width, then restores its size to previouse value. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  TuneIt1.SmallCaptionWidth = TuneIt1.SmallCaptionWidth + 120

  MsgBox "See small captions ( for example Visual basic Project window or Debug window ) !"

  TuneIt1.SmallCaptionWidth = TuneIt1.SmallCaptionWidth - 120

End Sub


CaptionHeight Property Example

In this example, when a CommandButton is clicked, it first doubles the caption height, then restores its size to previouse value. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  TuneIt1.CaptionHeight = TuneIt1.CaptionHeight * 2

  TuneIt1.CaptionWidth = TuneIt1.CaptionWidth * 2

  MsgBox "Big captions !"

  TuneIt1.CaptionHeight = TuneIt1.CaptionHeight / 2

  TuneIt1.CaptionWidth = TuneIt1.CaptionWidth / 2

End Sub


CaptionWidth Property Example

In this example, when a CommandButton is clicked, it first doubles the dimensions of caption buttons, then restores it to the previouse value. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  TuneIt1.CaptionWidth = TuneIt1.CaptionWidth * 2

  TuneIt1.CaptionHeight = TuneIt1.CaptionHeight * 2

  MsgBox "B  I  G   caption buttons !"

  TuneIt1.CaptionWidth = TuneIt1.CaptionWidth / 2

  TuneIt1.CaptionHeight = TuneIt1.CaptionHeight / 2

End Sub


ScrollBarWidth Property Example

In this example, when a CommandButton is clicked, it first doubles the scroll bar size, then restores it to the previouse size. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  TuneIt1.ScrollBarWidth = TuneIt1.ScrollBarWidth * 2

  TuneIt1.ScrollBarHeight = TuneIt1.ScrollBarHeight * 2

  MsgBox "Big scroll bars !"

  TuneIt1.ScrollBarWidth = TuneIt1.ScrollBarWidth / 2

  TuneIt1.ScrollBarHeight = TuneIt1.ScrollBarHeight / 2

End Sub


ScrollBarHeight Property Example

In this example, when a CommandButton is clicked, it first doubles the scroll bar size, then restores it to the previouse size. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  TuneIt1.ScrollBarHeight = TuneIt1.ScrollBarHeight * 2

  TuneIt1.ScrollBarWidth = TuneIt1.ScrollBarWidth * 2

  MsgBox "Big scroll bars !"

  TuneIt1.ScrollBarHeight = TuneIt1.ScrollBarHeight / 2

  TuneIt1.ScrollBarWidth = TuneIt1.ScrollBarWidth / 2

End Sub


BorderWidth Property Example

In this example, when a CommandButton is clicked, it first enlarges the borders , then restores them to the previouse size. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  TuneIt1.BorderWidth = TuneIt1.BorderWidth * 4

  MsgBox "Thick borders !"

  TuneIt1.BorderWidth = TuneIt1.BorderWidth / 4

End Sub


MinimizeArrangeStyle Property Example

TuneIt1.MinimizeArrangeStyle


MinimizedVerticalGap Property Example


MinimizedHorizontalGap Property Example


MinimizedWinWidth Property Example

In this example, when a CommandButton is clicked, it first doubles the minimized windows width, then restores them to previouse value. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  TuneIt1.MinimizedWinWidth = TuneIt1.MinimizedWinWidth * 2

  MsgBox "W i d e r   minimized   windows !"

  TuneIt1.MinimizedWinWidth = TuneIt1.MinimizedWinWidth / 2

End Sub


MenuDropRightAlign Property Example

In this example, when a Form is activated, it right aligns the menu. And left aligns the menu when the form deactivates. To try this example, put a TuneIt control on a Form and add a simple menu.  Paste this code into the Activate and Deactivate event of the Form. Then press F5 and switch between your Form and other applications.

Private Sub Form_Activate()

   TuneIt1.MenuDropRightAlign = True

End Sub

Private Sub Form_Deactivate()

   TuneIt1.MenuDropRightAlign = False

End Sub


IconTitleWrap Property Example

In this example, when a CheckBox is clicked, it toggles the state of the icon titles.If it is checked, the icon titles would be wraped to a new line. To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.IconTitleWrap = Check1.Value

End Sub


FastTaskSwitch Property Example

In this example, when a CheckBox is clicked, it enables/disables the fast task switching. To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.FastTaskSwitch = Check1.Value

End Sub


DragFullWindow Property Example

In this example, when a CheckBox is clicked, it enables/disables the full window contents dragging. To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5, click the CheckBox and drag the Form.

Private Sub Check1_Click()

   TuneIt1.DragFullWindow = Check1.Value

End Sub


DesktopWallPaper Property Example

In this example, when a CommandButton is clicked it displays the wallpaper name. To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

    Command1.Caption = “The wallpaper is :  [ “ + TuneIt1.DesktopWallPaper + “ ]"

End Sub


DesktopPattern Property Example

In this example, when a CommandButton is clicked it displays the desktop pattern. To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

    Command1.Caption = “Desktop pattern =  { “ + TuneIt1.DesktopPattern + “ }"

End Sub


BorderFactor Property Example

In this example, when a CommandButton is clicked, it first enlarges the borders , then restores them to the previouse size. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  TuneIt1.BorderFactor = TuneIt1.BorderFactor * 4

  MsgBox "Thick borders !"

  TuneIt1.BorderFactor = TuneIt1.BorderFactor / 4

End Sub


BeepEnabled Property Example

In this example, when a CheckBox is clicked, it enables/disables the beep. To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.BeepEnabled = Check1.Value

   If TuneIt1.BeepEnabled Then

      MsgBox  "Beep is enabled : Click outside the Form to hear the beep."

   Else

      MsgBox  "Beep is disabled."

   End If

End Sub


AnimationEnabled Property Example

In this example, when a CheckBox is clicked, it enables/disables the minimize/restore animation effect. To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   TuneIt1.AnimationEnabled = Check1.Value

   If TuneIt1.AnimationEnabled Then

      MsgBox  "Animation is enabled : minimize and maximize the Form to see the animation effect."

   Else

      MsgBox  " Animation is disabled."

   End If

End Sub


IconsUsingAllColors Property Example


IconType Property Example

In this example, when a CommandButton is clicked, it first increases the icon size, then restores it to the previouse value. To run this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  If TuneIt1.IconType <= 5 Then

     TuneIt1.IconType = TuneIt1.IconType + 1

     MsgBox "L a r g e r   icons!"

     TuneIt1.IconType = TuneIt1.IconType - 1

  End If

End Sub


HardDrivesNumber Property Example

This example, shows the number of available drives. To run, put a TuneIt control and five Label controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Hard drive(s) :  " + Str(TuneIt1.HardDrivesNumber)

  Label2.Caption = "Floppy drive(s) :  " + Str(TuneIt1.FloppyDrivesNumber)

  Label3.Caption = "CD drive(s) :  " + Str(TuneIt1.CdDrivesNumber)

  Label4.Caption = "Ram drive(s) :  " + Str(TuneIt1.RamDrivesNumber)

  Label5.Caption = "Remote drive(s) :  " + Str(TuneIt1.RemoteDrivesNumber)

End Sub


FloppyDrivesNumber Property Example

This example, shows the number of available drives. To run, put a TuneIt control and five Label controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Hard drive(s) :  " + Str(TuneIt1.HardDrivesNumber)

  Label2.Caption = "Floppy drive(s) :  " + Str(TuneIt1.FloppyDrivesNumber)

  Label3.Caption = "CD drive(s) :  " + Str(TuneIt1.CdDrivesNumber)

  Label4.Caption = "Ram drive(s) :  " + Str(TuneIt1.RamDrivesNumber)

  Label5.Caption = "Remote drive(s) :  " + Str(TuneIt1.RemoteDrivesNumber)

End Sub


CdDrivesNumber Property Example

This example, shows the number of available drives. To run, put a TuneIt control and five Label controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Hard drive(s) :  " + Str(TuneIt1.HardDrivesNumber)

  Label2.Caption = "Floppy drive(s) :  " + Str(TuneIt1.FloppyDrivesNumber)

  Label3.Caption = "CD drive(s) :  " + Str(TuneIt1.CdDrivesNumber)

  Label4.Caption = "Ram drive(s) :  " + Str(TuneIt1.RamDrivesNumber)

  Label5.Caption = "Remote drive(s) :  " + Str(TuneIt1.RemoteDrivesNumber)

End Sub


RamDrivesNumber Property Example

This example, shows the number of available drives. To run, put a TuneIt control and five Label controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Hard drive(s) :  " + Str(TuneIt1.HardDrivesNumber)

  Label2.Caption = "Floppy drive(s) :  " + Str(TuneIt1.FloppyDrivesNumber)

  Label3.Caption = "CD drive(s) :  " + Str(TuneIt1.CdDrivesNumber)

  Label4.Caption = "Ram drive(s) :  " + Str(TuneIt1.RamDrivesNumber)

  Label5.Caption = "Remote drive(s) :  " + Str(TuneIt1.RemoteDrivesNumber)

End Sub


RemoteDrivesNumber Property Example

This example, shows the number of available drives. To run, put a TuneIt control and five Label controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Hard drive(s) :  " + Str(TuneIt1.HardDrivesNumber)

  Label2.Caption = "Floppy drive(s) :  " + Str(TuneIt1.FloppyDrivesNumber)

  Label3.Caption = "CD drive(s) :  " + Str(TuneIt1.CdDrivesNumber)

  Label4.Caption = "Ram drive(s) :  " + Str(TuneIt1.RamDrivesNumber)

  Label5.Caption = "Remote drive(s) :  " + Str(TuneIt1.RemoteDrivesNumber)

End Sub


FileCompressSupport Property Example

This example, displays some information about file system. To run, put a TuneIt control, two Labels and four CheckBox controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "File system                 :  " + TuneIt1.FileSystem

  Label2.Caption = "Max. file name length :  " + Cstr(TuneIt1.MaxFileNameLength)

  Check1.Caption = "File system supports file-based compression."

  Check1.Value = TuneIt1.FileCompressSupport

  Check2.Caption = "File system supports Unicode in filenames."

  Check2.Value = TuneIt1.UnicodeFileName

  Check3.Caption = "File system supports case sensitive filenames."

  Check3.Value = TuneIt1.CaseSensitiveFileName

  Check4.Caption = "File system preserves the case of filenames."

  Check4.Value = TuneIt1.CasePreservedFileName

End Sub


UnicodeFileName Property Example

This example, displays some information about file system. To run, put a TuneIt control, two Labels and four CheckBox controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "File system                 :  " + TuneIt1.FileSystem

  Label2.Caption = "Max. file name length :  " + Cstr(TuneIt1.MaxFileNameLength)

  Check1.Caption = "File system supports file-based compression."

  Check1.Value = TuneIt1.FileCompressSupport

  Check2.Caption = "File system supports Unicode in filenames."

  Check2.Value = TuneIt1.UnicodeFileName

  Check3.Caption = "File system supports case sensitive filenames."

  Check3.Value = TuneIt1.CaseSensitiveFileName

  Check4.Caption = "File system preserves the case of filenames."

  Check4.Value = TuneIt1.CasePreservedFileName

End Sub


MaxFileNameLength Property Example

This example, displays some information about file system. To run, put a TuneIt control, two Labels and four CheckBox controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "File system                 :  " + TuneIt1.FileSystem

  Label2.Caption = "Max. file name length :  " + Cstr(TuneIt1.MaxFileNameLength)

  Check1.Caption = "File system supports file-based compression."

  Check1.Value = TuneIt1.FileCompressSupport

  Check2.Caption = "File system supports Unicode in filenames."

  Check2.Value = TuneIt1.UnicodeFileName

  Check3.Caption = "File system supports case sensitive filenames."

  Check3.Value = TuneIt1.CaseSensitiveFileName

  Check4.Caption = "File system preserves the case of filenames."

  Check4.Value = TuneIt1.CasePreservedFileName

End Sub


FileSystem Property Example

This example, displays some information about file system. To run, put a TuneIt control, two Labels and four CheckBox controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "File system                 :  " + TuneIt1.FileSystem

  Label2.Caption = "Max. file name length :  " + Cstr(TuneIt1.MaxFileNameLength)

  Check1.Caption = "File system supports file-based compression."

  Check1.Value = TuneIt1.FileCompressSupport

  Check2.Caption = "File system supports Unicode in filenames."

  Check2.Value = TuneIt1.UnicodeFileName

  Check3.Caption = "File system supports case sensitive filenames."

  Check3.Value = TuneIt1.CaseSensitiveFileName

  Check4.Caption = "File system preserves the case of filenames."

  Check4.Value = TuneIt1.CasePreservedFileName

End Sub


CaseSensitiveFileName Property Example

This example, displays some information about file system. To run, put a TuneIt control, two Labels and four CheckBox controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "File system                 :  " + TuneIt1.FileSystem

  Label2.Caption = "Max. file name length :  " + Cstr(TuneIt1.MaxFileNameLength)

  Check1.Caption = "File system supports file-based compression."

  Check1.Value = TuneIt1.FileCompressSupport

  Check2.Caption = "File system supports Unicode in filenames."

  Check2.Value = TuneIt1.UnicodeFileName

  Check3.Caption = "File system supports case sensitive filenames."

  Check3.Value = TuneIt1.CaseSensitiveFileName

  Check4.Caption = "File system preserves the case of filenames."

  Check4.Value = TuneIt1.CasePreservedFileName

End Sub


TotalPhysicalMemory Property Example

This example displays physical memory statistics. To try this example, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Total Physical memory :  " + Cstr(TuneIt1.TotalPhysicalMemory) + " KByte"

  Label2.Caption = "Free Physical memory :  " + Cstr(TuneIt1.FreePhysicalMemory) + " KByte"

End Sub


FreePhysicalMemory Property Example

This example displays physical memory statistics. To try this example, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Total Physical memory :  " + Cstr(TuneIt1.TotalPhysicalMemory) + " KByte"

  Label2.Caption = "Free Physical memory :  " + Cstr(TuneIt1.FreePhysicalMemory) + " KByte"

End Sub


SoundDevice Property Example

This example displays the sound and Midi device name. To try this example, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Sound device :  " + TuneIt1.SoundDevice

  Label2.Caption = "Midi device :  " + TuneIt1.MidiDevice

End Sub


MidiDevice Property Example

This example displays the sound and Midi device name. To try this example, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Midi device :  " + TuneIt1.MidiDevice

  Label2.Caption = "Sound device :  " + TuneIt1.SoundDevice

End Sub


KeyboardLayout Property Example

This example displays some information about keyboard ( including layout ). To try this example, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Keyboard type    :  " + TuneIt1.KeyboardType

  Label2.Caption = "Keyboard layout :  " + TuneIt1.KeyboardLayout

End Sub


AnsiCodePage Property Example

This example displays code page information. To run this example, put a TuneIt control and two Label controls on a Form. Paste this code fragment into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Ansi code page :  " + Cstr(TuneIt1.AnsiCodePage)

  Label2.Caption = "Oem code page :  " + Cstr(TuneIt1.OemCodePage)

End Sub


OemCodePage Property Example

This example displays code page information. To try this example, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5 to run.

Private Sub Form_Load()

  Label1.Caption = "Ansi code page :  " + Cstr(TuneIt1.AnsiCodePage)

  Label2.Caption = "Oem code page :  " + Cstr(TuneIt1.OemCodePage)

End Sub


Language Property Example

This example displays some regional information ( language, code page and time zone ). To try this example, put a TuneIt control and four Label controls on a Form. Paste this code into the Load event of the Form. Then press F5 to run.

Private Sub Form_Load()

  Label1.Caption = "Language  :  " + TuneIt1.Language

  Label2.Caption = "Ansi code page  :  " + Cstr(TuneIt1.AnsiCodePage)

  Label3.Caption = "Oem code page :  " + Cstr(TuneIt1.OemCodePage)

  Label4.Caption = "Time zone :  " + TuneIt1.TimeZone

End Sub


DoubleClickTime Property Example

This example displays the mouse settings ( double click time, mouse model, …). To try this example, put a TuneIt control and four Label controls on a Form. Paste this code into the Load event of the Form. Then press F5 to run.

Private Sub Form_Load()

  Label1.Caption = "Mouse type           :  " + TuneIt1.MouseType

  Label2.Caption = "Mouse buttons      :  " + Cstr(TuneIt1.MouseButtons)

  Label3.Caption = "Double click time  :  " + Cstr(TuneIt1.DoubleClickTime) + " millisec."

  Label4.Caption = "Mouse trails          :  " + Cstr(TuneIt1.MouseTrails)

End Sub


CasePreservedFileName Property Example

This example, displays some information about file system. To run, put a TuneIt control, two Labels and four CheckBox controls on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "File system                 :  " + TuneIt1.FileSystem

  Label2.Caption = "Max. file name length :  " + Cstr(TuneIt1.MaxFileNameLength)

  Check1.Caption = "File system supports file-based compression."

  Check1.Value = TuneIt1.FileCompressSupport

  Check2.Caption = "File system supports Unicode in filenames."

  Check2.Value = TuneIt1.UnicodeFileName

  Check3.Caption = "File system supports case sensitive filenames."

  Check3.Value = TuneIt1.CaseSensitiveFileName

  Check4.Caption = "File system preserves the case of filenames."

  Check4.Value = TuneIt1.CasePreservedFileName

End Sub


SwapFileSize Property Example

In this example, when a CommandButton is clicked, the memory statistics is displayed in Label controls. To try this example, put a TuneIt control, a CommandButton control and three Label controls on a Form. Paste this code into the Click event of the CommandButton. Then press F5 and click the Button.

Private Sub Command1_Click()

  Label1.Caption = "Total Physical memory :  " + Cstr(TuneIt1.TotalPhysicalMemory) + " KBytes"

  Label2.Caption = "Free Physical memory :  " + Cstr(TuneIt1.FreePhysicalMemory) + " KBytes"

  Label3.Caption = "Swap file size               :  " + Cstr(TuneIt1.SwapFileSize) + " KBytes"

End Sub


WindowsDirectory Property Example

This example, displays Windows and temporary directories. To run, put a TuneIt control and two Labels on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Windows directory :  " + TuneIt1.WindowsDirectory

  Label2.Caption = "Temp directory       :  " + TuneIt1.TempDirectory

End Sub


TempDirectory Property Example

This example, displays Windows and temporary directories. To run, put a TuneIt control and two Labels on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Windows directory :  " + TuneIt1.WindowsDirectory

  Label2.Caption = "Temp directory       :  " + TuneIt1.TempDirectory

End Sub


SwapMouseButtons Property Example

In this example, when a CheckBox is clicked, it swaps the mouse buttons .To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it.

Private Sub Check1_Click()

   Dim  ButtonStr

   TuneIt1.SwapMouseButtons = Check1.Value

   ButtonStr = "Mouse buttons  : " + Cstr(TuneIt1.MouseButtons)

   If TuneIt1.SwapMouseButtons Then

      ButtonStr = ButtonStr + " (swapped)."

   Else

      ButtonStr = ButtonStr + " (normal)."

   End If

   Check1.Caption = ButtonStr

End Sub


DisplayAdapter Property Example

This example, shows some informations about display device. To run, put a TuneIt control and two Labels on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Display adapter :  " + TuneIt1.DisplayAdapter + " [ version  " + TuneIt1.DisplayAdapterVersion + " ]"

  Label2.Caption = "Monitor              :  " + TuneIt1.MonitorType

  If TuneIt1.EnergyStarMonitor Then

     Label2.Caption = Label2.Caption + " ( Energy star )"

  EndIf

End Sub


DisplayAdapterVersion Property Example

This example, shows some informations about display device. To run, put a TuneIt control and two Labels on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Display adapter :  " + TuneIt1.DisplayAdapter + " [ version  " + TuneIt1.DisplayAdapterVersion + " ]"

  Label2.Caption = "Monitor              :  " + TuneIt1.MonitorType

  If TuneIt1.EnergyStarMonitor Then

     Label2.Caption = Label2.Caption + " ( Energy star )"

  EndIf

End Sub


MonitorType Property Example

This example, shows some informations about display device. To run, put a TuneIt control and two Labels on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Display adapter :  " + TuneIt1.DisplayAdapter + " [ version  " + TuneIt1.DisplayAdapterVersion + " ]"

  Label2.Caption = "Monitor              :  " + TuneIt1.MonitorType

  If TuneIt1.EnergyStarMonitor Then

     Label2.Caption = Label2.Caption + " ( Energy star )"

  EndIf

End Sub


EnergyStarMonitor Property Example

This example, shows some informations about display device. To run, put a TuneIt control and two Labels on a Form.  Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Display adapter :  " + TuneIt1.DisplayAdapter + " [ version  " + TuneIt1.DisplayAdapterVersion + " ]"

  Label2.Caption = "Monitor              :  " + TuneIt1.MonitorType

  If TuneIt1.EnergyStarMonitor Then

     Label2.Caption = Label2.Caption + " ( Energy star )"

  EndIf

End Sub


KeyboardType Property Example

This example displays some information about keyboard. To try this example, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Keyboard type    :  " + TuneIt1.KeyboardType

  Label2.Caption = "Keyboard layout :  " + TuneIt1.KeyboardLayout

End Sub


MouseType Property Example

This example displays the mouse settings (mouse type, double click time, …). To try this example, put a TuneIt control and four Label controls on a Form. Paste this code into the Load event of the Form. Then press F5 to run.

Private Sub Form_Load()

  Label1.Caption = "Mouse type           :  " + TuneIt1.MouseType

  Label2.Caption = "Mouse buttons      :  " + Cstr(TuneIt1.MouseButtons)

  Label3.Caption = "Double click time  :  " + Cstr(TuneIt1.DoubleClickTime) + " millisec."

  Label4.Caption = "Mouse trails          :  " + Cstr(TuneIt1.MouseTrails)

End Sub


DefaultPrinter Property Example

This example displays default printer name. To try this example, put a TuneIt control and a Label control on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Default printer    :  " + TuneIt1.DefaultPrinter

End Sub


MouseTrails Property Example

In this example, when a CheckBox is clicked, it enables/disables mouse trails. To try this example, put a TuneIt control and a CheckBox control on a Form.  Paste this code into the Click event of the CheckBox control. Then press F5 and click it to see its effect.

Private Sub Check1_Click()

   If Check1.Value Then

       TuneIt1.MouseTrails = 7

   Else

       TuneIt1.MouseTrails = 0

   End If

End Sub


TimeZone Property Example

This example displays the time zone information. To run it, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Local time name  :  " + TuneIt1.LocalTimeName

  Label2.Caption = "Time zone            :  " + TuneIt1.TimeZone

End Sub


LocalTimeName Property Example

This example displays the time zone information. To run it, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Local time name :  " + TuneIt1.LocalTimeName

  Label2.Caption = "Time zone           :  " + TuneIt1.TimeZone

End Sub


ACStatus Property Example

This example displays the power status repeatedly. To run it, put a TuneIt control, a Timer control and three Label controls on a Form. Paste this code into the Timer event of the Timer control. Set the Interval property of the Timer to 4000, Then press F5.

Private Sub Timer1_Timer()

   Label1.Caption = "AC power status : " + Choose( IIf(TuneIt1.ACStatus > 1, 2, TuneIt1.ACStatus) + 1, "Off", "On", "Unknown")

   Select Case TuneIt1.BatteryStatus

       Case 1

           Label2.Caption = "Battery OK"

       Case 2

           Label2.Caption = "Battery low"

       Case 4

           Label2.Caption = "Battery critical"

       Case 8

           Label2.Caption = "Battery charging"

       Case 128

           Label2.Caption = "No system Battery"

       Case  255

           Label2.Caption = "Unknown battery Status"

   End Select

   If TuneIt1.BatteryLifePercent <= 100 Then

      Label3.Caption = "Battery life :  " + Cstr(TuneIt1.BatteryLifeTime) + " sec.   ( " + Cstr(TuneIt1.BatteryLifePercent) + "% )"

   Else

      Label3.Caption = "Battery life :   N/A"

   End If

End Sub


BatteryStatus Property Example

This example displays the power status repeatedly. To run it, put a TuneIt control, a Timer control and three Label controls on a Form. Paste this code into the Timer event of the Timer control. Set the Interval property of the Timer to 4000, Then press F5.

Private Sub Timer1_Timer()

   Label1.Caption = "AC power status : " + Choose( IIf(TuneIt1.ACStatus > 1, 2, TuneIt1.ACStatus) + 1, "Off", "On", "Unknown")

   Select Case TuneIt1.BatteryStatus

       Case 1

           Label2.Caption = "Battery OK"

       Case 2

           Label2.Caption = "Battery low"

       Case 4

           Label2.Caption = "Battery critical"

       Case 8

           Label2.Caption = "Battery charging"

       Case 128

           Label2.Caption = "No system Battery"

       Case  255

           Label2.Caption = "Unknown battery Status"

   End Select

   If TuneIt1.BatteryLifePercent <= 100 Then

      Label3.Caption = "Battery life :  " + Cstr(TuneIt1.BatteryLifeTime) + " sec.   ( " + Cstr(TuneIt1.BatteryLifePercent) + "% )"

   Else

      Label3.Caption = "Battery life :   N/A"

   End If

End Sub


BatteryLifePercent Property Example

This example displays the power status repeatedly. To run it, put a TuneIt control, a Timer control and three Label controls on a Form. Paste this code into the Timer event of the Timer control. Set the Interval property of the Timer to 4000, Then press F5.

Private Sub Timer1_Timer()

   Label1.Caption = "AC power status : " + Choose( IIf(TuneIt1.ACStatus > 1, 2, TuneIt1.ACStatus) + 1, "Off", "On", "Unknown")

   Select Case TuneIt1.BatteryStatus

       Case 1

           Label2.Caption = "Battery OK"

       Case 2

           Label2.Caption = "Battery low"

       Case 4

           Label2.Caption = "Battery critical"

       Case 8

           Label2.Caption = "Battery charging"

       Case 128

           Label2.Caption = "No system Battery"

       Case  255

           Label2.Caption = "Unknown battery Status"

   End Select

   If TuneIt1.BatteryLifePercent <= 100 Then

      Label3.Caption = "Battery life :  " + Cstr(TuneIt1.BatteryLifeTime) + " sec.   ( " + Cstr(TuneIt1.BatteryLifePercent) + "% )"

   Else

      Label3.Caption = "Battery life :   N/A"

   End If

End Sub


BatteryFullTime Property Example

This example displays the power status repeatedly. To run it, put a TuneIt control, a Timer control and four Label controls on a Form. Paste this code into the Timer event of the Timer control. Set the Interval property of the Timer to 4000, Then press F5.

Private Sub Timer1_Timer()

   Label1.Caption = "AC power status : " + Choose( IIf(TuneIt1.ACStatus > 1, 2, TuneIt1.ACStatus) + 1, "Off", "On", "Unknown")

   Select Case TuneIt1.BatteryStatus

       Case 1

           Label2.Caption = "Battery OK"

       Case 2

           Label2.Caption = "Battery low"

       Case 4

           Label2.Caption = "Battery critical"

       Case 8

           Label2.Caption = "Battery charging"

       Case 128

           Label2.Caption = "No system Battery"

       Case  255

           Label2.Caption = "Unknown battery Status"

   End Select

   Label3.Caption = "Battery full time :  " + IIf(TuneIt1.BatteryFullTime > 0, Cstr(TuneIt1.BatteryFullTime) + " sec.", "N/A")

   If TuneIt1.BatteryLifePercent <= 100 Then

      Label4.Caption = "Battery life :  " + Cstr(TuneIt1.BatteryLifeTime) + " sec.   ( " + Cstr(TuneIt1.BatteryLifePercent) + "% )"

   Else

      Label4.Caption = "Battery life :   N/A"

   End If

End Sub


BatteryLifeTime Property Example

This example displays the power status repeatedly. To run it, put a TuneIt control, a Timer control and three Label controls on a Form. Paste this code into the Timer event of the Timer control. Set the Interval property of the Timer to 4000, Then press F5.

Private Sub Timer1_Timer()

   Label1.Caption = "AC power status : " + Choose( IIf(TuneIt1.ACStatus > 1, 2, TuneIt1.ACStatus) + 1, "Off", "On", "Unknown")

   Select Case TuneIt1.BatteryStatus

       Case 1

           Label2.Caption = "Battery OK"

       Case 2

           Label2.Caption = "Battery low"

       Case 4

           Label2.Caption = "Battery critical"

       Case 8

           Label2.Caption = "Battery charging"

       Case 128

           Label2.Caption = "No system Battery"

       Case  255

           Label2.Caption = "Unknown battery Status"

   End Select

   If TuneIt1.BatteryLifePercent <= 100 Then

      Label3.Caption = "Battery life :  " + Cstr(TuneIt1.BatteryLifeTime) + " sec.   ( " + Cstr(TuneIt1.BatteryLifePercent) + "% )"

   Else

      Label3.Caption = "Battery life :   N/A"

   End If

End Sub


WorkAreaLeft Property Example

In this example, when a CommandButton is clicked it uses Label controls to display the work area dimensions . To try this example, put a TuneIt control, a CommandButton and four Label controls on a Form. Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Label1.Caption = "Work area left      :  " + Cstr(TuneIt1.WorkAreaLeft)

  Label2.Caption = "Work area top      :  " + Cstr(TuneIt1.WorkAreaTop)

  Label3.Caption = "Work area width   :  " + Cstr(TuneIt1.WorkAreaWidth)

  Label4.Caption = "Work area height  :  " + Cstr(TuneIt1.WorkAreaHeight)

End Sub


WorkAreaTop Property Example

In this example, when a CommandButton is clicked it uses Label controls to display the work area dimensions . To try this example, put a TuneIt control, a CommandButton and four Label controls on a Form. Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Label1.Caption = "Work area left      :  " + Cstr(TuneIt1.WorkAreaLeft)

  Label2.Caption = "Work area top      :  " + Cstr(TuneIt1.WorkAreaTop)

  Label3.Caption = "Work area width   :  " + Cstr(TuneIt1.WorkAreaWidth)

  Label4.Caption = "Work area height  :  " + Cstr(TuneIt1.WorkAreaHeight)

End Sub


WorkAreaWidth Property Example

In this example, when a CommandButton is clicked it uses Label controls to display the work area dimensions . To try this example, put a TuneIt control, a CommandButton and four Label controls on a Form. Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Label1.Caption = "Work area left      :  " + Cstr(TuneIt1.WorkAreaLeft)

  Label2.Caption = "Work area top      :  " + Cstr(TuneIt1.WorkAreaTop)

  Label3.Caption = "Work area width   :  " + Cstr(TuneIt1.WorkAreaWidth)

  Label4.Caption = "Work area height  :  " + Cstr(TuneIt1.WorkAreaHeight)

End Sub


WorkAreaHeight Property Example

In this example, when a CommandButton is clicked it uses Label controls to display the work area dimensions . To try this example, put a TuneIt control, a CommandButton and four Label controls on a Form. Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Label1.Caption = "Work area left      :  " + Cstr(TuneIt1.WorkAreaLeft)

  Label2.Caption = "Work area top      :  " + Cstr(TuneIt1.WorkAreaTop)

  Label3.Caption = "Work area width   :  " + Cstr(TuneIt1.WorkAreaWidth)

  Label4.Caption = "Work area height  :  " + Cstr(TuneIt1.WorkAreaHeight)

End Sub


Shell Property Example

This example displays the name of the Shell program and screen saver. To run it, put a TuneIt control and two Label controls on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Shell              :  " + TuneIt1.Shell

  Label2.Caption = "Screen saver :  " + TuneIt1.ScreenSaver

End Sub


ScreenSaver Property Example

This example displays the screen saver settings. Put a TuneIt control and two Label controls on a Form.  Paste this code into the Load event of the Form . If the screen saver is not enabled, the output is grayed. Press F5 to run it.

Private Sub Form_Load()

  Label1.Caption = "Screen saver               :  " + TuneIt1.ScreenSaver

  Label2.Caption = "Screen saver time-out :  "  + Cstr(TuneIt1.ScreenSaverTimeOut) + " seconds."

  Label2.Enabled = TuneIt1.ScreenSaverActive

End Sub


Modem Property Example

In this example, when a CommandButton is clicked it displays the [  ] . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the CommandButton.

Private Sub Command1_Click()

    If TuneIt1.BatteryLifeTime <> &HFFFFFFFF Then

        Dim str As String

        Dim i

        Command1.Caption = Str(TuneIt1.Modem)

        TuneIt1.Modem = 10

    Else

        MsgBox "Cannot determine [  ] ."

    End If

End Sub


TaskbarAutoHide Property Example

In this example, when a CommandButton is clicked it uses Label controls to display the taskbar state . To try this example, put a TuneIt control, a CommandButton and three Label controls on a Form. Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Label1.Caption = "Taskbar edge  :  " + Choose(TuneIt1.TaskbarEdge + 1,"Left", "Top", "Right", "Bottom")

  Label2.Caption = "Auto hide        :  " + IIf(TuneIt1.TaskbarAutoHide, "Yes", "No")

  Label3.Caption = "Always on top :  " + IIf(TuneIt1.TaskbarAlwaysOnTop, "Yes", "No")

End Sub


TaskbarAlwaysOnTop Property Example

In this example, when a CommandButton is clicked it uses Label controls to display the taskbar state . To try this example, put a TuneIt control, a CommandButton and three Label controls on a Form. Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Label1.Caption = "Taskbar edge  :  " + Choose(TuneIt1.TaskbarEdge + 1,"Left", "Top", "Right", "Bottom")

  Label2.Caption = "Auto hide        :  " + IIf(TuneIt1.TaskbarAutoHide, "Yes", "No")

  Label3.Caption = "Always on top :  " + IIf(TuneIt1.TaskbarAlwaysOnTop, "Yes", "No")

End Sub


TaskbarEdge Property Example

In this example, when a CommandButton is clicked it uses Label controls to display the taskbar state . To try this example, put a TuneIt control, a CommandButton and three Label controls on a Form. Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Label1.Caption = "Taskbar edge  :  " + Choose(TuneIt1.TaskbarEdge + 1,"Left", "Top", "Right", "Bottom")

  Label2.Caption = "Auto hide        :  " + IIf(TuneIt1.TaskbarAutoHide, "Yes", "No")

  Label3.Caption = "Always on top :  " + IIf(TuneIt1.TaskbarAlwaysOnTop, "Yes", "No")

End Sub


LocalTimeMinusGMT Property Example

This example displays the local time, GMT time, and timezone name. To run it, put a TuneIt control, a Timer control and three Label controls on a Form. Paste this code into the Timer event of the Timer control. Set the Interval property of the Timer to 1000, Then press F5.

Private Sub Timer1_Timer()

  Dim GMT As Date

  GMT = Now - TuneIt1.LocalTimeMinusGMT

  Label1.Caption = "Time zone  :  " + TuneIt1.TimeZone

  Label2.Caption = "Local time  :  " + CStr(Now)

  Label3.Caption = "GMT  time  :  " + CStr(GMT)

End Sub


WindowsStartupTime Property Example

This example displays the Windows boot time and type.To try this example, put a TuneIt control and two Label controls on a Form.  Paste this code into the Load event of the Form .Then Press F5 .

Private Sub Form_Load()

  Label1.Caption = "Windows startup time :  " + CStr(TuneIt1.WindowsStartupTime)

  Label2.Caption = "Windows boot type     :  "  + Choose( TuneIt1.BootType) + 1, "Normal boot", "Safe boot", "Safe boot with network support")

End Sub


CapsLockOn Property Example

This example displays the NumLock, CapsLock and ScrollLock status repeatedly. To run it, put a TuneIt control, a Timer control and three CheckBox controls on a Form. Paste this code into the Timer event of the Timer control. Set the Interval property of the Timer to 500, Then press F5, and press NumLock, CapsLock and ScrollLock keys to see the result.

Private Sub Timer1_Timer()

   Check1.Value = IIf(TuneIt1.NumLockOn, 1, 0)

   Check2.Value = IIf(TuneIt1.CapsLockOn, 1, 0)

   Check3.Value = IIf(TuneIt1.ScrollLockOn, 1, 0)

End Sub


NumLockOn Property Example

This example displays the NumLock, CapsLock and ScrollLock status repeatedly. To run it, put a TuneIt control, a Timer control and three CheckBox controls on a Form. Paste this code into the Timer event of the Timer control. Set the Interval property of the Timer to 500, Then press F5, and press NumLock, CapsLock and ScrollLock keys to see the result.

Private Sub Timer1_Timer()

   Check1.Value = IIf(TuneIt1.NumLockOn, 1, 0)

   Check2.Value = IIf(TuneIt1.CapsLockOn, 1, 0)

   Check3.Value = IIf(TuneIt1.ScrollLockOn, 1, 0)

End Sub


ScrollLockOn Property Example

This example displays the NumLock, CapsLock and ScrollLock status repeatedly. To run it, put a TuneIt control, a Timer control and three CheckBox controls on a Form. Paste this code into the Timer event of the Timer control. Set the Interval property of the Timer to 500, Then press F5, and press NumLock, CapsLock and ScrollLock keys to see the result.

Private Sub Timer1_Timer()

   Check1.Value = IIf(TuneIt1.NumLockOn, 1, 0)

   Check2.Value = IIf(TuneIt1.CapsLockOn, 1, 0)

   Check3.Value = IIf(TuneIt1.ScrollLockOn, 1, 0)

End Sub


WebBrowser Property Example

This example displays the complete file name of the Windows default internet clients.To try this example, put a TuneIt control and four Label controls on a Form.  Paste this code into the Load event of the Form .Then Press F5 .

Private Sub Form_Load()

  Label1.Caption = "Default Web browser :   " + TuneIt1.WebBrowser

  Label2.Caption = "Default Ftp client :   " + TuneIt1.FtpClient

  Label3.Caption = "Default Mail client :   " + TuneIt1.MailClient

  Label4.Caption = "Default Telnet client :   " + TuneIt1.TelnetClient

End Sub


FtpClient Property Example

This example displays the complete file name of the Windows default internet clients.To try this example, put a TuneIt control and four Label controls on a Form.  Paste this code into the Load event of the Form .Then Press F5 .

Private Sub Form_Load()

  Label1.Caption = "Default Web browser :   " + TuneIt1.WebBrowser

  Label2.Caption = "Default Ftp client :   " + TuneIt1.FtpClient

  Label3.Caption = "Default Mail client :   " + TuneIt1.MailClient

  Label4.Caption = "Default Telnet client :   " + TuneIt1.TelnetClient

End Sub


MailClient Property Example

This example displays the complete file name of the Windows default internet clients.To try this example, put a TuneIt control and four Label controls on a Form.  Paste this code into the Load event of the Form .Then Press F5 .

Private Sub Form_Load()

  Label1.Caption = "Default Web browser :   " + TuneIt1.WebBrowser

  Label2.Caption = "Default Ftp client :   " + TuneIt1.FtpClient

  Label3.Caption = "Default Mail client :   " + TuneIt1.MailClient

  Label4.Caption = "Default Telnet client :   " + TuneIt1.TelnetClient

End Sub


TelnetClient Property Example

This example displays the complete file name of the Windows default internet clients.To try this example, put a TuneIt control and four Label controls on a Form.  Paste this code into the Load event of the Form .Then Press F5 .

Private Sub Form_Load()

  Label1.Caption = "Default Web browser :   " + TuneIt1.WebBrowser

  Label2.Caption = "Default Ftp client :   " + TuneIt1.FtpClient

  Label3.Caption = "Default Mail client :   " + TuneIt1.MailClient

  Label4.Caption = "Default Telnet client :   " + TuneIt1.TelnetClient

End Sub


NetworkAdapter Property Example

This example displays the name of the installed Network adapter on this system. To try this example, put a TuneIt control and a Label control on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "Network adapter :  " + TuneIt1.NetworkAdapter

End Sub


SCSIAdapter Property Example

This example displays the name of the installed SCSI adapter on this system. To try this example, put a TuneIt control and a Label control on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

  Label1.Caption = "SCSI adapter :  " + TuneIt1.SCSIAdapter

End Sub


PlusInstalled Property Example

This example checks to see if Microsoft PLUS has been installed. If yes, displays its version number. To try this example, put a TuneIt control and a Label control on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

If TuneIt1.PlusInstalled Then

  Label1.Caption = "PLUS version :  " + TuneIt1.PlusVersion

Else

  MsgBox "PLUS not installed!"

End If

End Sub


PlusVersion Property Example

This example checks to see if Microsoft PLUS has been installed. If yes, displays its version number. To try this example, put a TuneIt control and a Label control on a Form. Paste this code into the Load event of the Form. Then press F5.

Private Sub Form_Load()

If TuneIt1.PlusInstalled Then

  Label1.Caption = "PLUS version :  " + TuneIt1.PlusVersion

Else

  MsgBox "PLUS not installed!"

End If

End Sub


The Property Example

In this example, when a CommandButton is clicked it displays the [  ] . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the CommandButton.

Private Sub Command1_Click()

    If TuneIt1.BatteryLifeTime <> &HFFFFFFFF Then

        Dim str As String

        Dim i

        Command1.Caption = Str(TuneIt1.The)

        TuneIt1.The = 10

    Else

        MsgBox "Cannot determine [  ] ."

    End If

End Sub


AutoRun Method Example

In this example, when a CommandButton is clicked it [  ] . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the CommandButton.

Private Sub Command1_Click()

    If TuneIt1.BatteryLifeTime <> &HFFFFFFFF Then

        Dim str As String

        Dim i

        TuneIt1.AutoRun

    Else

        MsgBox "Cannot [  ] ."

    End If

End Sub


AutoRunOnce Method Example

In this example, when a CommandButton is clicked it [  ] . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the CommandButton.

Private Sub Command1_Click()

    If TuneIt1.BatteryLifeTime <> &HFFFFFFFF Then

        Dim str As String

        Dim i

        TuneIt1.AutoRunOnce

    Else

        MsgBox "Cannot [  ] ."

    End If

End Sub


PowerOff Method Example

In this example, when a CommandButton is clicked it first asks user to confirm the operation. If user clicks OK it runs the method .To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Response = MsgBox("Do you really want to power off the computer?", vbOKCancel, "Power Off")

  If Response = vbOK Then        ' User chose Ok.

    TuneIt1.PowerOff

  End If

End Sub


ShutDown Method Example

In this example, when a CommandButton is clicked it first asks user to confirm the operation. If user clicks OK it runs the method .To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Response = MsgBox("Do you really want to shut down the computer?", vbOKCancel, "Shut down")

  If Response = vbOK Then        ' User chose Ok.

    TuneIt1.ShutDown

  End If

End Sub


Reboot Method Example

In this example, when a CommandButton is clicked it first asks user to confirm the operation. If user clicks OK it runs the method .To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Response = MsgBox("Do you really want to reboot the computer?", vbOKCancel, "Reboot …")

  If Response = vbOK Then        ' User chose Ok.

    TuneIt1.Reboot

  End If

End Sub


LogOff Method Example

In this example, when a CommandButton is clicked it first asks user to confirm the operation. If user clicks OK it runs the method .To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Response = MsgBox("Do you really want to log off?", vbOKCancel, "Log off …")

  If Response = vbOK Then        ' User chose Ok.

    TuneIt1.LogOff

  End If

End Sub


ActiveScreenSaver Method Example

In this example, when a CommandButton is clicked it displays the screen saver name and activates the screen saver . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

   Command1.Caption = TuneIt1.ScreenSaver

   TuneIt1.ActiveScreenSaver

End Sub


EmptyDocumentList Method Example

In this example, when a CommandButton is clicked it empties the recently opened document list at the Start menu of taskbar. To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

   TuneIt1.EmptyDocumentList

End Sub


RunControlPanel Method Example

In this example, when a CommandButton is clicked opens the control panel. To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

   TuneIt1.RunControlPanel  CONTROL_PANEL  'Opens the Control Panel window.

    ' TuneIt1.RunControlPanel  APPLET_MOUSE  'Opens the mouse property page.

    ' TuneIt1.RunControlPanel  APPLET_TIME_SET  'Opens the Date/Time setting page.

End Sub


ActiveScreenSaver Method Example

In this example, when a CommandButton is clicked it displays the screen saver name and activates the screen saver . To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

   Command1.Caption = TuneIt1.ScreenSaver

   TuneIt1.ActiveScreenSaver

End Sub


RestartInDosMode Method Example

In this example, when a CommandButton is clicked it first asks user to confirm the operation. If user clicks OK it runs the method ( Shuts down the Windows and goes in MSDOS mode ).To try this example, put a TuneIt control and a CommandButton control on a Form.  Paste this code into the Click event of the CommandButton control. Then press F5 and click the Button.

Private Sub Command1_Click()

  Response = MsgBox("Do you really want to Restart the computer in MSDOS mode?", vbOKCancel, "Shut down")

  If Response = vbOK Then        ' User chose Ok.

    TuneIt1.RestartInDosMode

  End If

End Sub